import { Directive, ElementRef } from '@angular/core';
import { AriaDirective } from '@blaise/core';

@Directive({
    // the selector should be the same as the blaise original selector
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: '[bl5Aria]'
})
export class CustomAriaDirective extends AriaDirective {
    constructor(element: ElementRef) {
        super(element);
    }

    protected handleAriaLabel(): void {
        // we can change the ariaOptions object
        if (this.ariaOptions.label.length > 0 && !this.ariaOptions.label.startsWith('IBUC')) {
            // add IBUC 2023 to the aria label when length > 0 and not already added
            this.ariaOptions.label = `IBUC 2023 - ${this.ariaOptions.label}`;
        }

        super.handleAriaLabel();
    }
}
