import { Directive, ElementRef, HostListener } from '@angular/core';

@Directive({
    selector: '[appFancyHover]'
})
export class FancyHoverDirective {
    /**
     * constructor, injects a reference to the element
     * @param elementRef
     */
    constructor(private elementRef: ElementRef) {}

    /**
     * attach to the mouseover event of the html element
     */
    @HostListener('mouseover')
    onMouseOver() {
        this.elementRef.nativeElement
            .animate(
                [
                    {
                        offset: 0.1,
                        transform: 'translate3d(-1px, 0, 0)'
                    },
                    {
                        offset: 0.2,
                        transform: 'translate3d(2px, 0, 0)'
                    },
                    {
                        offset: 0.3,
                        transform: 'translate3d(-4px, 0, 0)'
                    },
                    {
                        offset: 0.4,
                        transform: 'translate3d(4px, 0, 0)'
                    },
                    {
                        offset: 0.5,
                        transform: 'translate3d(-4px, 0, 0)'
                    },
                    {
                        offset: 0.6,
                        transform: 'translate3d(4px, 0, 0)'
                    },
                    {
                        offset: 0.7,
                        transform: 'translate3d(-4px, 0, 0)'
                    },
                    {
                        offset: 0.8,
                        transform: 'translate3d(2px, 0, 0)'
                    },
                    {
                        offset: 0.9,
                        transform: 'translate3d(-1px, 0, 0)'
                    }
                ],
                {
                    duration: 1000,
                    iteration: 1
                }
            )
            .play();
    }
}
