import { Injectable } from '@angular/core';
import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable()
export class TokenInterceptor implements HttpInterceptor {

    // the intercept function is the entry point for customization
    intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>> {
        return next.handle(this.addToken(request));
    }

    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    private addToken = (request: HttpRequest<any>) => {
        return request.clone({
            setHeaders: {
                IBUC: `Welcome to the IBUC 2023`
            }
        });
    };
}
