import { Injectable } from '@angular/core';

import { IFieldInfo, StringFieldConverterService } from '@blaise/core';
import { DateTime } from 'luxon';

@Injectable({
    providedIn: 'root'
})
export class CustomConverterService extends StringFieldConverterService {
    // always call the super of the parent class in the constructor
    constructor() {
        super();
    }

    convertFromString(valueStr: string, fieldInfo: IFieldInfo): void {
        // parse the value to a date time object
        const parsed = DateTime.fromISO(valueStr);

        if (parsed.isValid) {
            // parsed date time is in current month
            valueStr = `IBUC 2023 - ${valueStr}`;
            // log the new valueStr
            console.log(`A new value: ${valueStr}`);
        }

        // call the super with the new valueStr
        super.convertFromString(valueStr, fieldInfo);
    }
}
