/**
 * Adjust the content security policy in the web.config to accept the url
 * connect-src -> https://worldtimeapi.org
 */

import { APP_BASE_HREF } from '@angular/common';
import { HttpClient } from '@angular/common/http';
import { Inject, Injectable } from '@angular/core';

@Injectable({
    providedIn: 'root'
})
export class TimeService {
    private readonly API_ENDPOINT_BASE: string;
    private readonly API_ENDPOINT_ALL_AVAILABLE_TIMEZONES: string = '/assets/data.json';

    constructor(
        // httpclient
        private http: HttpClient,
        // add base href
        @Inject(APP_BASE_HREF) private baseHref: string
    ) {
        this.API_ENDPOINT_BASE = `${this.baseHref}`;
    }

    public get() {
        return this.http.get<string[]>(`${this.API_ENDPOINT_BASE}${this.API_ENDPOINT_ALL_AVAILABLE_TIMEZONES}`, {
            headers: {
                accept: 'application/json'
            }
        });
    }
}
