import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
// HammerJs must be imported for gestures
import 'hammerjs';
// sync-fusion
import { registerLicense } from '@syncfusion/ej2-base';
// app
import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

// Registering Syncfusion license key
registerLicense(environment.syncfusionLicenseKey);

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule, { ngZoneEventCoalescing: true })
    .catch((err) => console.log(err));

function isTouchDevice() {
    return 'ontouchstart' in window || navigator.maxTouchPoints > 0;
}

if (isTouchDevice()) {
    document.getElementsByTagName('html')[0].classList.add('touchevents');
}
