import { Action } from './action';
import { IAssignFieldAction } from '../../../typedefinitions/models/actions/IAssignFieldAction';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
/**
 * Assign field action class
 */
export declare class AssignFieldAction extends Action implements IAssignFieldAction {
    /**
     * Field name property
     */
    FieldName: string;
    /**
     * Value string property
     */
    ValueAsString: string;
    /**
     * Field name expression property
     */
    FieldNameAsExpression: IExpression;
    /**
     * Value expression property
     */
    ValueAsExpression: IExpression;
    /**
     * Assign field action class constructor
     * @param FieldName Name of the field to which to assign a value
     * @param ValueAsString Value to assign to the field
     * @param FieldNameAsExpression Expression by which to determine to which field to assign a value
     * @param ValueAsExpression Expression by which to determine what value to assign
     */
    constructor(
    /**
     * Field name property
     */
    FieldName: string, 
    /**
     * Value string property
     */
    ValueAsString: string, 
    /**
     * Field name expression property
     */
    FieldNameAsExpression: IExpression, 
    /**
     * Value expression property
     */
    ValueAsExpression: IExpression);
}
