import { Action } from './action';
import { IAssignFieldPropertyAction } from '../../../typedefinitions/models/actions/IAssignFieldPropertyAction';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
/**
 * Assign field property action class
 */
export declare class AssignFieldPropertyAction extends Action implements IAssignFieldPropertyAction {
    /**
     * Field name property
     */
    FieldName: string;
    /**
     * Field property name property
     */
    FieldPropertyName: string;
    /**
     * Value string property
     */
    ValueAsString: string;
    /**
     * Field name expression property
     */
    FieldNameAsExpression: IExpression;
    /**
     * Value expression property
     */
    ValueAsExpression: IExpression;
    /**
     * Assign field property action class constructor
     * @param FieldName Name of the field for which to assign a value to the property
     * @param FieldPropertyName name of the property to assign a value to
     * @param ValueAsString Value to assign to the property
     * @param FieldNameAsExpression Expression by which to determine to which field to assign a value to the property
     * @param ValueAsExpression Expression by which to determine what value to assign
     */
    constructor(
    /**
     * Field name property
     */
    FieldName: string, 
    /**
     * Field property name property
     */
    FieldPropertyName: string, 
    /**
     * Value string property
     */
    ValueAsString: string, 
    /**
     * Field name expression property
     */
    FieldNameAsExpression: IExpression, 
    /**
     * Value expression property
     */
    ValueAsExpression: IExpression);
}
