import { ControlAction } from './control-action';
import { IClipboardAction } from '../../../typedefinitions/models/actions/IControlAction';
import { ActionKind } from '../../../typedefinitions/enums/ActionKind';
type ClipboardActionKind = ActionKind.CutToClipboard | ActionKind.CopyToClipboard | ActionKind.PasteFromClipboard;
/**
 * Clipboard action class
 */
export declare abstract class ClipboardAction extends ControlAction implements IClipboardAction {
    /**
     * Clipboard action class constructor
     * @param kind Action kind of a clipboard action either `CutToClipboard`, `CopyToClipboard` or `PasteFromClipboard`
     * @param rootId Root ID
     * @param controlId Control ID
     */
    protected constructor(kind: ClipboardActionKind, rootId: string, controlId: string);
}
export {};
