import { Action } from './action';
import { IConditionFieldAction } from '../../../typedefinitions/models/actions/IConditionFieldAction';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
import { ActionKind } from '../../../typedefinitions/enums/ActionKind';
type ConditionFieldActionKind = ActionKind.FirstField | ActionKind.LastField | ActionKind.NextField | ActionKind.PreviousField;
/**
 * Abstract control action class
 */
export declare abstract class ConditionFieldAction extends Action implements IConditionFieldAction {
    /**
     * Condition expression property
     */
    Condition?: IExpression | undefined;
    /**
     * Control action class constructor
     * @param kind Condition field action's action kind either `FirstField`, `LastField`, `NextField` or `PreviousField`
     * @param Condition optional condition expression
     */
    protected constructor(kind: ConditionFieldActionKind, 
    /**
     * Condition expression property
     */
    Condition?: IExpression | undefined);
}
export {};
