import { Action } from './action';
import { IAction } from '../../../typedefinitions/models/actions/IAction';
import { INameExpression } from '../../../typedefinitions/models/expressions/INameExpression';
import { IForEachAction } from '../../../typedefinitions/models/actions/IForEachAction';
/**
 * For each action class
 */
export declare class ForEachAction extends Action implements IForEachAction {
    /**
     * Item property
     */
    Item: string;
    /**
     * Collection name expression
     */
    Collection: INameExpression;
    /**
     * Actions to execute for-each item in the collection
     */
    Body: IAction[];
    /**
     * For each action class constructor
     * @param Item Collection item property name
     * @param Collection Collection name expression
     * @param Body Actions to execute for-each item in the collections
     */
    constructor(
    /**
     * Item property
     */
    Item: string, 
    /**
     * Collection name expression
     */
    Collection: INameExpression, 
    /**
     * Actions to execute for-each item in the collection
     */
    Body: IAction[]);
}
