import { Action } from './action';
import { IGoToFieldAction } from '../../../typedefinitions/models/actions/IGoToFieldAction';
import { ActionKind } from '../../../typedefinitions/enums/ActionKind';
type GoToFieldActionKind = ActionKind.GoToField | ActionKind.GoToBlockField | ActionKind.GoToFieldProperty;
/**
 * Go to field action class
 */
export declare class GoToFieldAction extends Action implements IGoToFieldAction {
    /**
     * Field name property
     */
    FieldName: string;
    /**
     * Go to field action class constructor
     * @param FieldName Name of the field to which to navigate
     * @param kind Action kind default is `GoToField`, but can serve as a base for `GoToBlockField` and `GoToFieldProperty`
     */
    constructor(
    /**
     * Field name property
     */
    FieldName: string, kind?: GoToFieldActionKind);
}
export {};
