import { Action } from './action';
import { IGoToUriAction } from '../../../typedefinitions/models/actions/IGoToUriAction';
/**
 * Go to uri action class
 */
export declare class GoToUriAction extends Action implements IGoToUriAction {
    /**
     * URI property
     */
    Uri: string;
    /**
     * Arguments list property
     */
    Arguments: string[];
    /**
     * Go to uri action class constructor
     * @param Uri Http URI string to which to navigate
     * @param Arguments Extra URI arguments to pass with the URI
     */
    constructor(
    /**
     * URI property
     */
    Uri: string, 
    /**
     * Arguments list property
     */
    Arguments: string[]);
}
