import { ConditionFieldAction } from './condition-field-action';
import { INextFieldAction } from '../../../typedefinitions/models/actions/IConditionFieldAction';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
import { EventSource } from '../../../typedefinitions/enums/EventSource';
/**
 * Next field action class
 */
export declare class NextFieldAction extends ConditionFieldAction implements INextFieldAction {
    eventSource?: EventSource | undefined;
    /**
     * Next field action class constructor
     * @param condition optional condition expression
     * @param eventSource optional source of event that triggered the next field action
     */
    constructor(condition?: IExpression, eventSource?: EventSource | undefined);
}
