import { Action } from './action';
import { ISetControlPropertyAction } from '../../../typedefinitions/models/actions/ISetControlPropertyAction';
import { IPropertyValue } from '../../../typedefinitions/models/server/client-side/property-values/IPropertyValue';
/**
 * Set control property action class
 */
export declare class SetControlPropertyAction extends Action implements ISetControlPropertyAction {
    /**
     * Control ID property
     */
    ControlID: string;
    /**
     * PropertyName Name of the property to set
     */
    PropertyName: string;
    /**
     * Value Contains the value to set on the given control property
     */
    Value: IPropertyValue;
    /**
     * Set control property action class constructor
     * @param ControlID ID of the control for which to set the property
     * @param PropertyName Name of the property to set
     * @param Value Value to set on the given control property
     */
    constructor(
    /**
     * Control ID property
     */
    ControlID: string, 
    /**
     * PropertyName Name of the property to set
     */
    PropertyName: string, 
    /**
     * Value Contains the value to set on the given control property
     */
    Value: IPropertyValue);
}
