import { Action } from './action';
import { IDictionary } from '../../../typedefinitions/models/IDictionary';
import { IStartSurveyAction } from '../../../typedefinitions/models/actions/IStartSurveyAction';
/**
 * Start survey action class
 */
export declare class StartSurveyAction extends Action implements IStartSurveyAction {
    /**
     * InstrumentID Instrument ID property
     */
    InstrumentID: string;
    /**
     * List of dictionary keys
     */
    KeyValue: string[];
    /**
     * Runtime parameters object property
     */
    RuntimeParameters: IDictionary<string>;
    /**
     * Fields list property
     */
    Fields: IDictionary<string>;
    /**
     * Start survey action class constructor
     * @param InstrumentID Instrument id
     * @param KeyValue Key value list
     * @param RuntimeParameters Runtime parameters to set on survey start
     * @param Fields Field list
     */
    constructor(
    /**
     * InstrumentID Instrument ID property
     */
    InstrumentID: string, 
    /**
     * List of dictionary keys
     */
    KeyValue: string[], 
    /**
     * Runtime parameters object property
     */
    RuntimeParameters: IDictionary<string>, 
    /**
     * Fields list property
     */
    Fields: IDictionary<string>);
}
