import { Action } from './action';
import { INamedValue } from '../../../typedefinitions/models/INamedValue';
import { IValuesAction } from '../../../typedefinitions/models/actions/IValuesAction';
import { ActionKind } from '../../../typedefinitions/enums/ActionKind';
type ValuesActionKind = ActionKind.AuditTrail | ActionKind.ServerEvent;
/**
 * Abstract values action class
 */
export declare abstract class ValuesAction extends Action implements IValuesAction {
    /**
     * Values named value array
     */
    Values: INamedValue[];
    /**
     * Values action class constructor
     * @param kind Values action kind. Either `AuditTrail` or `ServerAction`
     * @param Values named value array
     */
    protected constructor(kind: ValuesActionKind, 
    /**
     * Values named value array
     */
    Values: INamedValue[]);
}
export {};
