import { IBrush, IImageBrush, ILinearGradientBrush, ISolidColorBrush } from '../../../../../../typedefinitions/models/IBrush';
import { BrushType as Type } from '../../../../../../typedefinitions/enums/BrushType';
/**
 * Abstract brush class
 */
export declare abstract class Brush implements IBrush {
    BrushType: Type;
    /**
     * Brush property class constructor
     * @param BrushType either `SolidColor`, `LinearGradient` or `Image`
     */
    protected constructor(BrushType: Type);
    /**
     * Solid color brush type cast check
     * @param brush
     */
    static isSolidColorBrush(brush: IBrush): brush is ISolidColorBrush;
    /**
     * Solid color brush type cast check
     * @param brush
     */
    static isLinearGradientBrush(brush: IBrush): brush is ILinearGradientBrush;
    /**
     * Solid color brush type cast check
     * @param brush
     */
    static isImageBrush(brush: IBrush): brush is IImageBrush;
}
