import { ClientSideRule } from './client-side-rule';
import { IFieldAssignmentRule } from '../../../../typedefinitions/models/server/client-side/rules/IFieldAssignmentRule';
import { IExpression } from '../../../../typedefinitions/models/expressions/IExpression';
/**
 * Field assignment client side rule class
 */ export declare class FieldAssignmentRule extends ClientSideRule implements IFieldAssignmentRule {
    /**
     * FieldName Name of the field to which to assign a value
     */
    FieldName: string;
    /**
     * Name of the property to which to assign a value
     */
    PropertyName: string;
    /**
     * RightHandSide Expression resulting in the value to set
     */
    RightHandSide: IExpression;
    /**
     * Field assignment client side rule class constructor
     * @param FieldName Name of the field to which to assign a value
     * @param PropertyName Name of the property to which to assign a value
     * @param RightHandSide Expression resulting in the value to set
     */
    constructor(
    /**
     * FieldName Name of the field to which to assign a value
     */
    FieldName: string, 
    /**
     * Name of the property to which to assign a value
     */
    PropertyName: string, 
    /**
     * RightHandSide Expression resulting in the value to set
     */
    RightHandSide: IExpression);
}
