import { LogLevel } from '../../../typedefinitions/enums/LogLevel';
/**
 * Logger options class
 */
export declare class LoggerOptions {
    /**
     * Logger log level option. Options are `OFF`, `ERROR`, `WARN`, `INFO`, `DEBUG` and `LOG` (default).
     */
    level: LogLevel;
    /**
     * Flag indicating if these options are to be set globally
     */
    global: boolean;
    /**
     * Global name
     */
    globalAs: string;
    /**
     * Flag indicating if the local storage is to be used
     */
    store: boolean;
    /**
     * Log level storage name
     */
    storeAs: string;
    /**
     * Flag indicating if log messages should be sent to a given url
     */
    send: boolean;
    /**
     * Log message post url
     */
    sendUrl: string;
}
