import { IParagraph } from '../../../typedefinitions/models/richText/IParagraph';
import { IRichTextElement } from '../../../typedefinitions/models/richText/IRichTextElement';
import { ITable } from '../../../typedefinitions/models/richText/ITable';
import { RichTextElementKind } from '../../../typedefinitions/enums/RichTextElementKind';
export declare abstract class RichTextElement implements IRichTextElement {
    Kind: RichTextElementKind;
    protected constructor(Kind: RichTextElementKind);
    static isParagraph(element: IRichTextElement): element is IParagraph;
    static isTable(element: IRichTextElement): element is ITable;
    abstract toHTML(): string;
    abstract toPlainText(): string;
}
