import { RichTextElement } from '../rich-text-element';
import { TableColumn } from './table-column';
import { TableRow } from './table-row';
import { IBrush } from '../../../../typedefinitions/models/IBrush';
import { IColor } from '../../../../typedefinitions/models/IColor';
import { IThickness } from '../../../../typedefinitions/models/IThickness';
import { ITable } from '../../../../typedefinitions/models/richText/ITable';
import { GridType as _GridType } from '../../../../typedefinitions/enums/GridType';
export declare class Table extends RichTextElement implements ITable {
    Columns: TableColumn[];
    Rows: TableRow[];
    Background: IBrush;
    BorderColor: IColor;
    BorderWidth: IThickness;
    Margin: IThickness;
    GridColor: IColor;
    GridType: _GridType;
    GridWidth: number;
    constructor(Columns: TableColumn[], Rows: TableRow[], Background: IBrush, BorderColor: IColor, BorderWidth: IThickness, Margin: IThickness, GridColor: IColor, GridType: _GridType, GridWidth: number);
    toHTML(): string;
    toPlainText(): string;
}
