import { ValueType } from './value-type';
import { IBlobType } from '../../../typedefinitions/models/value-types/IBlobType';
import { IBlobSize } from '../../../typedefinitions/models/IBlobSize';
import { BlobFilter } from '../../../typedefinitions/enums/BlobFilter';
/**
 * Blob value type class
 */
export declare class BlobType extends ValueType implements IBlobType {
    /**
     * FileTypeFilter Blob type options (Any, Image, Audio or Video)
     */
    FileTypeFilter: BlobFilter;
    /**
     * ExtensionFilter Array of allowed file extensions
     */
    ExtensionFilter?: string[] | undefined;
    /**
     * MaxSize Maximum file size
     */
    MaxSize?: IBlobSize | undefined;
    /**
     * Blob value type class constructor
     * @param FileTypeFilter Blob type options (Any, Image, Audio or Video)
     * @param ExtensionFilter Array of allowed file extensions
     * @param MaxSize Maximum file size
     */
    constructor(
    /**
     * FileTypeFilter Blob type options (Any, Image, Audio or Video)
     */
    FileTypeFilter: BlobFilter, 
    /**
     * ExtensionFilter Array of allowed file extensions
     */
    ExtensionFilter?: string[] | undefined, 
    /**
     * MaxSize Maximum file size
     */
    MaxSize?: IBlobSize | undefined);
}
