import { ValueType } from './value-type';
import { IClassificationPseudoType } from '../../../typedefinitions/models/value-types/IClassificationPseudoType';
import { IClassificationDepth } from '../../../typedefinitions/models/IClassificationDepth';
/**
 * Classification pseudo value type class
 */
export declare class ClassificationPseudoType extends ValueType implements IClassificationPseudoType {
    /**
     * RequiredDepth Classification depth kind (`any`, `Minimum` or `Complete`) and value
     */
    RequiredDepth?: IClassificationDepth | undefined;
    /**
     * TypeName Classification type name
     */
    TypeName?: string | undefined;
    /**
     * LibraryFileName Classification library file name
     */
    LibraryFileName?: string | undefined;
    /**
     * Classification pseudo value type class constructor
     * @param RequiredDepth Classification depth kind (`any`, `Minimum` or `Complete`) and value
     * @param TypeName Classification type name
     * @param LibraryFileName Classification library file name
     */
    constructor(
    /**
     * RequiredDepth Classification depth kind (`any`, `Minimum` or `Complete`) and value
     */
    RequiredDepth?: IClassificationDepth | undefined, 
    /**
     * TypeName Classification type name
     */
    TypeName?: string | undefined, 
    /**
     * LibraryFileName Classification library file name
     */
    LibraryFileName?: string | undefined);
}
