import { ValueType } from './value-type';
import { IDateType } from '../../../typedefinitions/models/value-types/IDateType';
/**
 * Date value type class
 */
export declare class DateType extends ValueType implements IDateType {
    /**
     * Comma separated List of allowed days of the week
     */
    DayFilter: string;
    /**
     * List of disallowed/disabled days of the week
     */
    DisabledDays: number[];
    /**
     * List of allowed/enabled days of the week
     */
    EnabledDays: number[];
    /**
     * Sets the upper bound of the date control's range
     */
    MaxDate: number;
    /**
     * Sets the lower bound of the date control's range
     */
    MinDate: number;
    /**
     * IncludeTime indicates if value type is the date part of a date-time type
     */
    IncludeTime: boolean;
    /**
     * Date value type class constructor
     */
    constructor(
    /**
     * Comma separated List of allowed days of the week
     */
    DayFilter: string, 
    /**
     * List of disallowed/disabled days of the week
     */
    DisabledDays: number[], 
    /**
     * List of allowed/enabled days of the week
     */
    EnabledDays: number[], 
    /**
     * Sets the upper bound of the date control's range
     */
    MaxDate: number, 
    /**
     * Sets the lower bound of the date control's range
     */
    MinDate: number, 
    /**
     * IncludeTime indicates if value type is the date part of a date-time type
     */
    IncludeTime: boolean);
}
