import { ValueType } from './value-type';
import { IEnumerationType } from '../../../typedefinitions/models/value-types/IEnumerationType';
import { ICategory } from '../../../typedefinitions/models/ICategory';
import { DataType } from '../../../typedefinitions/enums/DataType';
type CategoryType = DataType.Enumeration | DataType.Set;
/**
 * Enumeration value type class
 */
export declare class EnumerationType extends ValueType implements IEnumerationType {
    /**
     * Enumeration/Set category options
     */
    Categories?: ICategory[] | undefined;
    /**
     * Enumeration value type class constructor
     * @param Categories Enumeration/Set category options
     * @param dataType Enumeration/Set value data type
     */
    constructor(
    /**
     * Enumeration/Set category options
     */
    Categories?: ICategory[] | undefined, dataType?: CategoryType);
}
export {};
