import { ValueType } from './value-type';
import { IIntegerType } from '../../../typedefinitions/models/value-types/IIntegerType';
import { INumberRange } from '../../../typedefinitions/models/INumberRange';
import { DataType } from '../../../typedefinitions/enums/DataType';
type NumberType = DataType.Integer | DataType.Real;
/**
 * Integer value type class
 */
export declare class IntegerType extends ValueType implements IIntegerType {
    /**
     * MaxLength Maximum allowed length of the complete number string
     */
    MaxLength?: number | undefined;
    /**
     * Ranges List of ranges that represent valid values
     */
    Ranges?: INumberRange[] | undefined;
    /**
     * Integer value type class constructor
     * @param MaxLength Maximum allowed length of the complete number string
     * @param Ranges List of ranges that represent valid values
     * @param dataType Integer/Real value data type
     */
    constructor(
    /**
     * MaxLength Maximum allowed length of the complete number string
     */
    MaxLength?: number | undefined, 
    /**
     * Ranges List of ranges that represent valid values
     */
    Ranges?: INumberRange[] | undefined, dataType?: NumberType);
}
export {};
