import { IntegerType } from './integer-type';
import { IRealType } from '../../../typedefinitions/models/value-types/IRealType';
import { INumberRange } from '../../../typedefinitions/models/INumberRange';
/**
 * Real value type class
 */
export declare class RealType extends IntegerType implements IRealType {
    /**
     * Decimals Maximum amount of numerical decimal characters
     */
    Decimals?: number | undefined;
    /**
     * Real value type class constructor
     * @param maxLength Maximum allowed length of the complete number string
     * @param ranges List of ranges that represent valid values
     * @param Decimals Maximum amount of numerical decimal characters
     */
    constructor(maxLength?: number, ranges?: INumberRange[], 
    /**
     * Decimals Maximum amount of numerical decimal characters
     */
    Decimals?: number | undefined);
}
