import { EnumerationType } from './enumeration-type';
import { ISetType } from '../../../typedefinitions/models/value-types/ISetType';
import { ICategory } from '../../../typedefinitions/models/ICategory';
/**
 * Set value type class
 */
export declare class SetType extends EnumerationType implements ISetType {
    /**
     * Cardinality Maximum amount of selectable categories
     */
    Cardinality?: number | undefined;
    /**
     * Set value type class constructor
     * @param categories Enumeration/Set category options
     * @param Cardinality Maximum amount of selectable categories
     */
    constructor(
    /**
     * Categories Set category options
     */
    categories?: ICategory[], 
    /**
     * Cardinality Maximum amount of selectable categories
     */
    Cardinality?: number | undefined);
}
