import { ValueType } from './value-type';
import { IStringType } from '../../../typedefinitions/models/value-types/IStringType';
/**
 * String value type class
 */
export declare class StringType extends ValueType implements IStringType {
    /**
     * MaxLength Maximum length of the string input
     */
    MaxLength?: number | undefined;
    /**
     * Restriction Input restriction in the form of a regular expression
     */
    Restriction?: string | undefined;
    /**
     * String value type class constructor
     * @param MaxLength Maximum allowed length of the complete number string
     * @param Restriction Input restriction in the form of a regular expression
     */
    constructor(
    /**
     * MaxLength Maximum length of the string input
     */
    MaxLength?: number | undefined, 
    /**
     * Restriction Input restriction in the form of a regular expression
     */
    Restriction?: string | undefined);
}
