import { ChangeDetectorRef } from '@angular/core';
import { DataService } from '../../services/data.service';
import { EventService } from '../../services/event.service';
import { IClassificationItem } from '../../../typedefinitions/models/IClassificationItem';
export declare class ClassificationObject {
    private dataService;
    private eventService;
    private cd;
    private _history;
    private _selectedCode;
    private _focusedCode;
    private _backIsFocused;
    private _startIsFocused;
    private _items;
    private _cachedItems;
    private _libraryName;
    private _typeName;
    constructor(dataService: DataService, eventService: EventService, cd: ChangeDetectorRef);
    get isInitialized(): boolean;
    get hasHistory(): boolean;
    get history(): string[];
    get selectedCode(): string;
    set selectedCode(code: string);
    get focusedCode(): string;
    set focusedCode(value: string);
    get backIsFocused(): boolean;
    set backIsFocused(value: boolean);
    get startIsFocused(): boolean;
    set startIsFocused(value: boolean);
    get Items(): IClassificationItem[];
    get hasItems(): boolean;
    set libraryName(value: string);
    set typeName(value: string);
    addCodeToHistory(code: string): void;
    private update;
    reset(): void;
    back(): void;
    setHistoryFrom(code: string): void;
    search(code: string): void;
    selectFocusedValue(): void;
    nextValue(): void;
    previousValue(): void;
}
