import { ElementRef, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { GroupComponent } from '../group.component';
import { ServiceProviderService } from '../../../services/serviceprovider.service';
import { IGroupErrorTextControl } from '../../../../typedefinitions/models/controls/IGroupErrorTextControl';
import * as i0 from "@angular/core";
/**
 * Group error text component class
 */
export declare class GroupErrorTextComponent extends GroupComponent<IGroupErrorTextControl> implements OnInit, OnDestroy {
    /**
     * sp Service provider service designed to provide easy access to several common services via one injectable service
     */
    protected sp: ServiceProviderService;
    /**
     * el Group error text component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides change detection functionality
     */
    protected cd: ChangeDetectorRef;
    private allFieldsSubscription?;
    /**
     * Error text shown in template
     */
    errorText: string;
    /**
     * Group error text component class constructor
     * @param sp Service provider service
     * @param el Element reference
     * @param cd Change detector reference
     */
    constructor(
    /**
     * sp Service provider service designed to provide easy access to several common services via one injectable service
     */
    sp: ServiceProviderService, 
    /**
     * el Group error text component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides change detection functionality
     */
    cd: ChangeDetectorRef);
    /**
     * Initializes the has-auto-width class property, subscribes to the all field observable to set error texts when needed and add a skip-link
     */
    ngOnInit(): void;
    /**
     * Unsubscribes from any and all of this component's subscriptions on destruction
     */
    ngOnDestroy(): void;
    private setErrorText;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupErrorTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupErrorTextComponent, "bl5-group-error-text", never, {}, {}, never, never, false, never>;
}
