import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { BaseComponent } from '../base/base.component';
import { ServiceProviderService } from '../../services/serviceprovider.service';
import { IGroupControl } from '../../../typedefinitions/models/controls/IGroupControl';
/**
 * Group component base class
 */
export declare abstract class GroupComponent<T extends IGroupControl> extends BaseComponent<T> {
    /**
     * sp Service provider service
     */
    protected sp: ServiceProviderService;
    /**
     * el Group component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides change detection functionality
     */
    protected cd: ChangeDetectorRef;
    /**
     * Readonly group name property
     */
    get groupName(): string;
    /**
     * Group component class constructor
     * @param sp Service provider service
     * @param el Element reference
     * @param cd Change detector reference
     */
    protected constructor(
    /**
     * sp Service provider service
     */
    sp: ServiceProviderService, 
    /**
     * el Group component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides change detection functionality
     */
    cd: ChangeDetectorRef);
}
