import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { BaseInvolvedFieldsComponent } from '../base/involved-fields/base-involved-fields.component';
import { ServiceProviderService } from '../../services/serviceprovider.service';
import { IInvolvedFieldsControl } from '../../../typedefinitions/models/controls/IInvolvedFieldsControl';
import { IInvolvedField } from '../../../typedefinitions/models/IInvolvedField';
import * as i0 from "@angular/core";
/**
 * Involved fields component class
 */
export declare class InvolvedFieldsComponent extends BaseInvolvedFieldsComponent<IInvolvedFieldsControl> {
    /**
     * sp Service provider service
     */
    protected sp: ServiceProviderService;
    /**
     * el Involved fields component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides change detection functionality
     */
    protected cd: ChangeDetectorRef;
    /**
     * List of involved fields
     */
    involvedFields: IInvolvedField[];
    /**
     * Involved fields component class constructor
     * @param sp Service provider service
     * @param el Element reference
     * @param cd Change detector reference
     */
    constructor(
    /**
     * sp Service provider service
     */
    sp: ServiceProviderService, 
    /**
     * el Involved fields component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides change detection functionality
     */
    cd: ChangeDetectorRef);
    /**
     * Retrieves involved fields from the render state service using the reference field name and the set error kind filter
     * @returns list of involved fields
     */
    protected getInvolvedFields(): Optional<IInvolvedField[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InvolvedFieldsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InvolvedFieldsComponent, "bl5-involved-fields", never, {}, {}, never, never, false, never>;
}
