import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { EventService } from '../../services/event.service';
import { RenderStateService } from '../../services/renderstate.service';
import { SecurityService } from '../../services/security.service';
import { StorageService } from '../../services/storage.service';
import { IUserCredentials } from '../../../typedefinitions/models/IUserCredentials';
import * as i0 from "@angular/core";
/**
 * Login component
 */
export declare class LoginComponent implements OnInit, OnDestroy {
    private eventService;
    private renderStateService;
    private router;
    private securityService;
    private storageService;
    private title;
    private requestSubscription?;
    /**
     * User credentials
     */
    user: IUserCredentials;
    /**
     * Show error flag
     */
    showError: boolean;
    /**
     * Login component class constructor
     * @param eventService
     * @param renderStateService
     * @param router
     * @param securityService
     * @param storageService
     * @param title
     */
    constructor(eventService: EventService, renderStateService: RenderStateService, router: Router, securityService: SecurityService, storageService: StorageService, title: Title);
    /**
     * Resets the render state
     */
    ngOnInit(): void;
    /**
     * Resets the render state
     */
    ngOnDestroy(): void;
    /**
     * Submits user credentials to acquire an access token
     */
    onSubmit(): void;
    /**
     * Login success handler
     */
    private onLoginSuccess;
    /**
     * Login fail handler
     */
    private onLoginFail;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "bl5-login", never, {}, {}, never, never, false, never>;
}
