import { EventEmitter, OnInit, OnDestroy, ElementRef } from '@angular/core';
import { ModalService } from '../../services/modal.service';
import * as i0 from "@angular/core";
/**
 * Modal component class
 */
export declare class ModalComponent implements OnInit, OnDestroy {
    private modalService;
    private el;
    /**
     * Modal id, used to manage the modal via the modal service
     */
    id: string;
    /**
     * Modal close event
     */
    modalOpenedEvent: EventEmitter<any>;
    /**
     * Modal close event
     */
    modalClosedEvent: EventEmitter<any>;
    /**
     * Modal component class constructor.
     * @param modalService Modal management service
     * @param el
     */
    constructor(modalService: ModalService, el: ElementRef);
    /**
     * Initialized the modal component,
     * adds the click outside event listener,
     * adds self to the modal service's active modal list
     * and hides the modal.
     */
    ngOnInit(): void;
    /**
     * Removes self from the modal service's active modal list when directive is destroyed
     */
    ngOnDestroy(): void;
    /**
     * Show self (this modal) by changing the display style and adding the modal open class to the document body
     */
    open(): void;
    /**
     * Hide self, emit close event
     */
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "bl5-modal", never, { "id": { "alias": "id"; "required": false; }; }, { "modalOpenedEvent": "modalOpenedEvent"; "modalClosedEvent": "modalClosedEvent"; }, never, ["*"], false, never>;
}
