import { ElementRef, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { BaseComponent } from '../../base/base.component';
import { ServiceProviderService } from '../../../services/serviceprovider.service';
import { IPageErrorTextControl } from '../../../../typedefinitions/models/controls/IPageErrorTextControl';
import * as i0 from "@angular/core";
/**
 * Page error text component class
 */
export declare class PageErrorTextComponent extends BaseComponent<IPageErrorTextControl> implements OnInit, OnDestroy {
    /**
     * sp Service provider service
     */
    protected sp: ServiceProviderService;
    /**
     * el Page error text component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides change detection functionality
     */
    protected cd: ChangeDetectorRef;
    private subscription?;
    /**
     * Error text property
     */
    errorText: string;
    /**
     * Flag indicating if the width unit is set to `Auto`
     */
    get autoWidth(): boolean;
    /**
     * Page error text component class constructor
     * @param sp Service provider service
     * @param el Element reference
     * @param cd Change detector reference
     */
    constructor(
    /**
     * sp Service provider service
     */
    sp: ServiceProviderService, 
    /**
     * el Page error text component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides change detection functionality
     */
    cd: ChangeDetectorRef);
    /**
     * Subscribe to all fields observable to be able to set an error when needed
     */
    ngOnInit(): void;
    /**
     * Unsubscribe from subscriptions on component destruction
     */
    ngOnDestroy(): void;
    private setErrorText;
    static ɵfac: i0.ɵɵFactoryDeclaration<PageErrorTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PageErrorTextComponent, "bl5-page-error-text", never, {}, {}, never, never, false, never>;
}
