import { ElementRef, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { BaseInvolvedFieldsComponent } from '../../base/involved-fields/base-involved-fields.component';
import { ServiceProviderService } from '../../../services/serviceprovider.service';
import { IInvolvedField } from '../../../../typedefinitions/models/IInvolvedField';
import { IPageInvolvedFieldsControl } from '../../../../typedefinitions/models/controls/IPageInvolvedFieldsControl';
import * as i0 from "@angular/core";
/**
 * Page involved fields component class
 */
export declare class PageInvolvedFieldsComponent extends BaseInvolvedFieldsComponent<IPageInvolvedFieldsControl> implements OnInit, OnDestroy {
    /**
     * sp Service provider service Provides easy access to several commonly used services
     */
    protected sp: ServiceProviderService;
    /**
     * el Page involved fields component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides view-change detection functionality
     */
    protected cd: ChangeDetectorRef;
    private subscription?;
    /**
     * Page involved fields component class constructor
     * @param sp Service provider service provides easy access to several commonly used services
     * @param el Element reference component element wrapper
     * @param cd Change detector reference provides view-change detection functionality
     */
    constructor(
    /**
     * sp Service provider service Provides easy access to several commonly used services
     */
    sp: ServiceProviderService, 
    /**
     * el Page involved fields component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides view-change detection functionality
     */
    cd: ChangeDetectorRef);
    /**
     * Subscribe to all fields observable to be able to set an error when needed
     */
    ngOnInit(): void;
    /**
     * Unsubscribe from subscriptions on component destruction
     */
    ngOnDestroy(): void;
    /**
     * Sets the page involved fields.
     */
    protected getInvolvedFields(): Optional<IInvolvedField[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PageInvolvedFieldsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PageInvolvedFieldsComponent, "bl5-page-involved-fields", never, {}, {}, never, never, false, never>;
}
