import { ElementRef, ChangeDetectorRef } from '@angular/core';
import { BaseComponent } from '../../base/base.component';
import { ServiceProviderService } from '../../../services/serviceprovider.service';
import { IParallelTabsControl } from '../../../../typedefinitions/models/controls/IParallelTabsControl';
import * as i0 from "@angular/core";
/**
 * Parallel tabs component class
 */
export declare class ParallelTabsComponent extends BaseComponent<IParallelTabsControl> {
    /**
     * sp Service provider service
     */
    protected sp: ServiceProviderService;
    /**
     * el Parallel tabs component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides change detection functionality
     */
    protected cd: ChangeDetectorRef;
    /**
     * Parallel tabs component class constructor
     * @param sp Service provider service
     * @param el Element reference
     * @param cd Change detector reference
     */
    constructor(
    /**
     * sp Service provider service
     */
    sp: ServiceProviderService, 
    /**
     * el Parallel tabs component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides change detection functionality
     */
    cd: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<ParallelTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ParallelTabsComponent, "bl5-parallel-tabs", never, {}, {}, never, never, false, never>;
}
