import { ElementRef, ChangeDetectorRef } from '@angular/core';
import { BaseComponent } from '../base/base.component';
import { ServiceProviderService } from '../../services/serviceprovider.service';
import { CSSStyleObject } from '../../../typedefinitions/models/style/CSSStyleObject';
import { IBaseControl } from '../../../typedefinitions/models/controls/IBaseControl';
import { IRectangleControl } from '../../../typedefinitions/models/controls/IRectangleControl';
import * as i0 from "@angular/core";
/**
 * Rectangle component class
 */
export declare class RectangleComponent extends BaseComponent<IRectangleControl> {
    /**
     * sp Service provider service
     */
    protected sp: ServiceProviderService;
    /**
     * el Rectangle component element wrapper
     */
    protected el: ElementRef;
    /**
     * cd Provides change detection functionality
     */
    protected cd: ChangeDetectorRef;
    /**
     * Rectangle component class constructor
     * @param sp Service provider service
     * @param el Element reference
     * @param cd Change detector reference
     */
    constructor(
    /**
     * sp Service provider service
     */
    sp: ServiceProviderService, 
    /**
     * el Rectangle component element wrapper
     */
    el: ElementRef, 
    /**
     * cd Provides change detection functionality
     */
    cd: ChangeDetectorRef);
    /**
     * Processes control changes.
     * @param newDataObject
     */
    handleControlUpdate(newDataObject: IBaseControl): void;
    /**
     * Extends the base class' get style object function and applies the stroke style
     * @return CSS Style Declaration
     */
    getStyleObject(): CSSStyleObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<RectangleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RectangleComponent, "bl5-rectangle", never, {}, {}, never, never, false, never>;
}
