import { OnInit, OnDestroy } from '@angular/core';
import { RenderStateService } from '../../services/renderstate.service';
import { SubscriptionService } from '../../services/subscription.service';
import { ISkipLink } from '../../../typedefinitions/models/ISkipLink';
import * as i0 from "@angular/core";
/**
 * Skip links component class
 */
export declare class SkipLinksComponent implements OnInit, OnDestroy {
    private subscriptionService;
    private renderStateService;
    private subscription?;
    /**
     * Skip links
     */
    skipLinks: ISkipLink[];
    /**
     * Skip links component class constructor
     * @param subscriptionService
     * @param renderStateService
     */
    constructor(subscriptionService: SubscriptionService, renderStateService: RenderStateService);
    /**
     * Subscribe to the skip link list subscription
     */
    ngOnInit(): void;
    /**
     * Unsubscribe from the skip link subscription
     */
    ngOnDestroy(): void;
    /**
     * Skip link click handler
     * @param event
     * @param skipLink
     */
    onClick(event: MouseEvent, skipLink: ISkipLink): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkipLinksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkipLinksComponent, "bl5-skiplinks", never, {}, {}, never, never, false, never>;
}
