import { ElementRef, DoCheck } from '@angular/core';
import { IAriaOptions } from '../../typedefinitions/models/IAriaOptions';
import * as i0 from "@angular/core";
/**
 * The `AriaDirective` is responsible for setting the correct accessibility properties on the
 * HTML element it is attached to. It uses the values from the control object for this.
 */
export declare class AriaDirective implements DoCheck {
    private elementRef;
    private ariaLabelForSet;
    private get element();
    private get divElement();
    /**
     * The aria object containing all accessibility information for the control.
     */
    ariaOptions: IAriaOptions;
    /**
     * The aria directive class constructor
     * @param elementRef
     */
    constructor(elementRef: ElementRef);
    /**
     * (Re)sets the attributes when a change is detected
     */
    ngDoCheck(): void;
    /**
     * Set the attributes on the element based on the values in the aria object.
     */
    protected setAttributes(): void;
    /**
     * Check if the element needs an aria-required attribute
     */
    private shouldHaveAriaRequired;
    protected handleAriaLabelFor(): void;
    protected handleAriaLabel(): void;
    protected handleAriaLabelledBy(): void;
    protected handleAriaProperty(ariaValue: any, property: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AriaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AriaDirective, "[bl5Aria]", never, { "ariaOptions": { "alias": "bl5Aria"; "required": false; }; }, {}, never, never, false, never>;
}
