import { NavigationService } from '../services/navigation/navigation.service';
import { IBaseControl } from '../../typedefinitions/models/controls/IBaseControl';
import * as i0 from "@angular/core";
/**
 * Toggles navigation mode to insert mode when an input field changes due to keyboard interaction.
 * If the value differs between keydown and keyup, insert mode will be activated.
 */
export declare class NavigationToggleDirective {
    private navigationService;
    private currentInputValue;
    /**
     * The control object which contains the control ID.
     */
    dataObject: IBaseControl;
    /**
     * Navigation toggle directive class constructor
     * @param navigationService The navigation service
     */
    constructor(navigationService: NavigationService);
    /**
     * Key down event handler
     * @param event Keyboard event
     */
    onKeyDown(event: KeyboardEvent): void;
    /**
     * Key up event handler
     * @param event
     */
    onKeyUp(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationToggleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NavigationToggleDirective, "[bl5NavigationToggle]", never, { "dataObject": { "alias": "bl5NavigationToggle"; "required": false; }; }, {}, never, never, false, never>;
}
