import { ElementRef, OnInit, OnDestroy } from '@angular/core';
import { IControlContainerControl } from '../../typedefinitions/models/controls/IControlContainerControl';
import * as i0 from "@angular/core";
/**
 * The `AriaDirective` is responsible for setting the correct accessibility properties on the
 * HTML element it is attached to. It uses the values from the control object for this.
 */
export declare class SkipLinkTargetDirective implements OnInit, OnDestroy {
    private elementRef;
    /**
     * Subscription to the referenced control that is being observed for focusing.
     */
    private focusSubscription?;
    /**
     * Subscription to the referenced control that is being observed for blurring.
     */
    private blurSubscription?;
    private get element();
    /**
     * The control object which contains the control ID and field name of the control.
     */
    dataObject: IControlContainerControl;
    /**
     * The aria directive class constructor
     * @param elementRef
     */
    constructor(elementRef: ElementRef);
    /**
     * Subscribes to an observable mirrored from the focus and blur event observables on directive initialisation.
     */
    ngOnInit(): void;
    /**
     * Terminates subscriptions on directive destruction.
     */
    ngOnDestroy(): void;
    private handleFocusSubscription;
    private handleBlurSubscription;
    /**
     * Recursive function to find the first visible child element id
     */
    private findFirstChildId;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkipLinkTargetDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SkipLinkTargetDirective, "[bl5SkipLinkTarget]", never, { "dataObject": { "alias": "bl5SkipLinkTarget"; "required": false; }; }, {}, never, never, false, never>;
}
