import { PipeTransform } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
/**
 * The `safeHtml` pipe can be used to tell Angular that the provided HTML string can be trusted and
 * presented to the user without escaping. See the official documentation about the
 * [DomSanitizer](https://angular.io/api/platform-browser/DomSanitizer)  for more information.
 *
 * <h6 class="template">Template</h6>
 * ```html
 * <div [innerHTML]="text | safeHtml"></div>
 * ```
 */
export declare class SafeHtmlPipe implements PipeTransform {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value?: string): SafeHtml;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeHtmlPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeHtmlPipe, "safeHtml", false>;
}
