import { PipeTransform } from '@angular/core';
import { DomSanitizer, SafeHtml, SafeResourceUrl, SafeScript, SafeStyle, SafeUrl } from '@angular/platform-browser';
import * as i0 from "@angular/core";
/**
 * The `safe` pipe can be used to tell Angular that the provided string can be trusted and
 * presented to the user without escaping. See the official documentation about the
 * [DomSanitizer](https://angular.io/api/platform-browser/DomSanitizer)  for more information.
 *
 * <h6 class="template">Template</h6>
 * ```html
 * <div [innerHTML]="text | safe: 'html'"></div>
 * ```
 */
export declare class SafePipe implements PipeTransform {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value: string, type: string): SafeHtml | SafeStyle | SafeScript | SafeUrl | SafeResourceUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafePipe, "safe", false>;
}
