import { ExpressionService } from '../expression.service';
import { IPropertyValue } from '../../../../typedefinitions/models/server/client-side/property-values/IPropertyValue';
import * as i0 from "@angular/core";
/**
 * The client side property value service allows evaluation of property values
 */
export declare class ClientSidePropertyValuesService {
    private expressionService;
    private readonly propertyValueEvaluator;
    /**
     * Client side property values service class constructor
     * @param expressionService
     */
    constructor(expressionService: ExpressionService);
    /**
     * Evaluates any property value
     * @param propertyValue property value to evaluate
     * @returns property value evaluation result
     */
    evaluatePropertyValue(propertyValue: IPropertyValue): any;
    private createPropertyValueEvaluator;
    private evaluateConstantPropertyValue;
    private evaluateConditionalPropertyValue;
    private evaluateExpressionPropertyValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClientSidePropertyValuesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClientSidePropertyValuesService>;
}
