import { ComponentService } from './component.service';
import { IClipboardService } from '../../typedefinitions/services/IClipboardService';
import * as i0 from "@angular/core";
/**
 * The clipboard service class provides functionality setting and retrieving a control's text to and from the clipboard.
 */
export declare class ClipboardService implements IClipboardService {
    private document;
    private componentService;
    /**
     * Clipboard service class constructor
     * @param document
     * @param componentService
     */
    constructor(document: Document, componentService: ComponentService);
    /**
     * Cuts a given text from a specified control and places it onto the clipboard
     * @param rootId
     * @param controlId
     */
    cutToClipboard(rootId: string, controlId: string): void;
    /**
     * Copies a given text from a specified control to the clipboard
     * @param rootId
     * @param controlId
     */
    copyToClipboard(rootId: string, controlId: string): void;
    /**
     * Paste a given text from the clipboard to a specified control
     * @param rootId
     * @param controlId
     */
    pasteFromClipboard(rootId: string, controlId: string): void;
    private copyTextToClipboard;
    private copyTextToClipboardFallback;
    private textToClipboardFallback;
    private copyTextFromClipBoard;
    private textFromClipboardFallback;
    private createTemporaryTextArea;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClipboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClipboardService>;
}
