import { FieldConverterService } from './field-converter.service';
import { IFieldInfo } from '../../../typedefinitions/models/observables/IFieldInfo';
import { IValueType } from '../../../typedefinitions/models/value-types/IValueType';
import { RangeCheckResult } from '../../../typedefinitions/enums/RangeCheckResult';
import * as i0 from "@angular/core";
/**
 * Classification field converter service class
 */
export declare class ClassificationFieldConverterService extends FieldConverterService {
    /**
     * Classification field converter service class constructor
     */
    constructor();
    /**
     * Retrieves the data value value as string
     * @param fieldInfo Field info
     */
    convertToString(fieldInfo: IFieldInfo): string;
    /**
     * Sets the data value value as string
     * @param val value string
     * @param fieldInfo Field info
     */
    convertFromString(val: string, fieldInfo: IFieldInfo): void;
    /**
     * Validation check
     * @param input value string
     * @param valueType type
     * @returns range check result
     */ isValid(input: string, valueType: IValueType): RangeCheckResult;
    /**
     * Check if the given value is allowed
     * @param value string
     * @param valueType type
     * @returns range check result
     */ isAllowed(value: string, valueType: IValueType): RangeCheckResult;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClassificationFieldConverterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClassificationFieldConverterService>;
}
