import { Injector } from '@angular/core';
import { FieldConverterService } from './field-converter.service';
import { CultureInfoService } from '../culture-info.service';
import { DataType } from '../../../typedefinitions/enums/DataType';
import * as i0 from "@angular/core";
/**
 * The converter factory service helps to select the correct converter service derivative for a specific data type.
 */
export declare class ConverterFactoryService {
    protected injector: Injector;
    protected cultureInfoService: CultureInfoService;
    /**
     * Converter factory class constructor
     * @param injector
     * @param cultureInfoService
     */
    constructor(injector: Injector, cultureInfoService: CultureInfoService);
    /**
     * Factory that looks up the instance of a field converter service using the angular injector.
     * @param dt data type enumeration value for which to retrieve a matching converter service
     * @returns a field converter service derived service fit for the given data type
     */
    createConverter(dt: DataType): FieldConverterService;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConverterFactoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConverterFactoryService>;
}
