import { StylablePropertyService } from './stylable-property.service';
import { IBaseControl } from '../../typedefinitions/models/controls/IBaseControl';
import { IDimension } from '../../typedefinitions/models/IDimension';
import * as i0 from "@angular/core";
/**
 * The dimension generator service class provides functionality for calculating component dimensions
 */
export declare class DimensionGeneratorService {
    private stylablePropertyService;
    /**
     * Dimension generator service class constructor
     * @param stylablePropertyService provides functionality for managing the stylable properties of controls
     */
    constructor(stylablePropertyService: StylablePropertyService);
    /**
     * Calculates the component's dimensions from the data object information
     * @param dimension object containing string width and height properties
     * @param dataObject the base data object for a component
     */
    calculateComponentDimensions(dimension: IDimension, dataObject: IBaseControl): void;
    private getComponentProperties;
    private calculateComponentWidth;
    private calculateComponentHeight;
    private calculateValueForSTRETCH;
    private calculateMarginFromProperties;
    private isTableRowControl;
    private isImageControl;
    static ɵfac: i0.ɵɵFactoryDeclaration<DimensionGeneratorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DimensionGeneratorService>;
}
