import 'hammerjs';
import { EventService } from '../event.service';
import { IClientSideShortcut } from '../../../typedefinitions/models/server/IClientSideShortcut';
import * as i0 from "@angular/core";
/**
 * Hotkey service
 */
export declare class GestureService {
    private eventService;
    private document;
    private mc;
    private registeredGestures;
    private hasTouchEvents;
    /**
     * Constructor
     * @param eventService
     * @param document A reference class for the global document object
     */
    constructor(eventService: EventService, document: Document);
    /**
     * Initializes and registers all system hotkeys
     */
    initialize: () => void;
    /**
     * Registers a gesture
     * @param gesture
     */
    registerGestureFromObject: (gesture: IClientSideShortcut) => void;
    /**
     * Unregisters a gesture
     * @param gesture
     */
    unregisterGesture: (gesture: string) => void;
    /**
     * Unregister all gestures
     */
    unregisterGestures: () => void;
    /**
     * Retrieve an event string from a gesture string
     * @param gesture
     */
    private getEventFromGesture;
    /**
     * Register a gesture
     * @param gesture
     * @param callback
     */
    private registerGesture;
    static ɵfac: i0.ɵɵFactoryDeclaration<GestureService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GestureService>;
}
