import { HttpClient } from '@angular/common/http';
import { PayloadService } from './payload.service';
import { EventService } from './event.service';
import * as i0 from "@angular/core";
/**
 * Measure time service
 */
export declare class MeasureTimeService {
    private eventService;
    private payloadService;
    private http;
    private _measureTimePath;
    private requestReceivedStarttime;
    private elapsedTime;
    private requestSentStarttime;
    private totalTime;
    private measureTimeSubscription?;
    private requestSentStarted;
    private requestReceivedStarted;
    /**
     * Measure time http post path
     */
    set measureTimePath(path: string);
    /**
     * Measure time service class constructor
     * @param eventService
     * @param payloadService
     * @param http (deprecated)
     */
    constructor(eventService: EventService, payloadService: PayloadService, http: HttpClient);
    /**
     * Subscribe to the page size-tree ready event in order to stop and record the elapsed time
     */
    initialize: () => void;
    /**
     * Send measure time
     */
    sendMeasureTime: () => void;
    /**
     * Save the current time in order to calculate how much time elapsed since a request was received.
     */
    requestReceived(): void;
    /**
     * Save the current time in order to calculate how much time elapsed since a request was sent.
     */
    requestSent(): void;
    /**
     * Calculate how much time elapsed since the call to Start()
     */
    stop(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MeasureTimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MeasureTimeService>;
}
