import { INavigationCommand } from '../../../typedefinitions/models/INavigationCommand';
import { DropdownlistInsertStrategy } from './DropdownlistInsertStrategy';
/**
 * The dropdown list insert strategy class allows creation of key press corresponding commands for the dropdown list component
 */
export declare class DropdownlistInsertAccessibleStrategy extends DropdownlistInsertStrategy {
    /**
     * Creates corresponding commands for the enter key pressed event
     * @param event
     * @returns navigation commands
     */
    enterKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the left key pressed event
     * @returns navigation commands
     */
    leftKeyPressed(): INavigationCommand[];
    /**
     * Creates corresponding commands for the right key pressed event
     * @returns navigation commands
     */
    rightKeyPressed(): INavigationCommand[];
    /**
     * Retrieves the dropdown list insert strategy name
     * @returns dropdown list insert strategy name
     */
    getName(): string;
}
