import { Injector } from '@angular/core';
import { NavigationStrategy } from './NavigationStrategy';
import { IHasDropdownList } from '../../../typedefinitions/models/IHasDropdownList';
import { INavigationModeStrategy } from '../../../typedefinitions/models/INavigationModeStrategy';
import { INavigationCommand } from '../../../typedefinitions/models/INavigationCommand';
/**
 * The dropdown list navigation strategy class allows creation of key press corresponding commands for the dropdown list component
 */
export declare class DropdownlistNavigationStrategy extends NavigationStrategy implements INavigationModeStrategy {
    protected injector: Injector;
    private dropdownList;
    /**
     * Dropdown list navigation strategy class constructor
     * @param injector
     * @param dropdownList
     */
    constructor(injector: Injector, dropdownList: IHasDropdownList);
    /**
     * Space in navigation mode is handled differently in a dropdown list because the list should be opened
     * @param event
     * @returns navigation commands
     */
    spacePressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Retrieves the dropdown list insert strategy name
     * @returns dropdown list insert strategy name
     */
    getName(): string;
}
