import { INavigationModeStrategy } from '../../../typedefinitions/models/INavigationModeStrategy';
import { INavigationCommand } from '../../../typedefinitions/models/INavigationCommand';
/**
 *  Concrete implementation of strategy pattern.
 *  This strategy does nothing by default.
 */
export declare class EmptyStrategy implements INavigationModeStrategy {
    /**
     * Creates corresponding commands for the f2 key pressed event
     * @param event
     * @returns navigation commands
     */ f2KeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the enter key pressed event
     * @param event
     * @returns navigation commands
     */ enterKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the left key pressed event
     * @param event
     * @returns navigation commands
     */ leftKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the right key pressed event
     * @param event
     * @returns navigation commands
     */ rightKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the up key pressed event
     * @param event
     * @returns navigation commands
     */ upKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the down key pressed event
     * @param event
     * @returns navigation commands
     */ downKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the page up key pressed event
     * @param event
     * @returns navigation commands
     */ pageUpKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the page down key pressed event
     * @param event
     * @returns navigation commands
     */ pageDownKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the home key pressed event
     * @param event
     * @returns navigation commands
     */ homeKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the end key pressed event
     * @param event
     * @returns navigation commands
     */ endKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the tab key pressed event
     * @param event
     * @returns navigation commands
     */ tabKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the shift-tab key combination pressed event
     * @param event
     * @returns navigation commands
     */ shiftTabPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the escape key pressed event
     * @param event
     * @returns navigation commands
     */ escapePressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Creates corresponding commands for the space bar pressed event
     * @param event
     * @returns navigation commands
     */ spacePressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Retrieves the empty insert strategy name
     * @returns empty insert strategy name
     */
    getName(): string;
}
