import { INavigationCommand } from '../../../typedefinitions/models/INavigationCommand';
import { TimeInsertStrategy } from './TimeInsertStrategy';
/**
 * The time insert strategy class allows creation of key press corresponding commands for the time component's input field
 */
export declare class TimeInsertAccessibleStrategy extends TimeInsertStrategy {
    /**
     * Creates corresponding commands for the enter key pressed event
     * @param event
     * @returns navigation commands
     */
    enterKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Retrieves the time insert strategy name
     * @returns time insert strategy name
     */
    getName(): string;
}
