import { Injector } from '@angular/core';
import { NavigationStrategy } from './NavigationStrategy';
import { INavigationModeStrategy } from '../../../typedefinitions/models/INavigationModeStrategy';
import { INavigationCommand } from '../../../typedefinitions/models/INavigationCommand';
/**
 * The time navigation strategy class allows creation of key press corresponding commands for the time component
 */
export declare class TimeNavigationStrategy extends NavigationStrategy implements INavigationModeStrategy {
    protected injector: Injector;
    /**
     * Time navigation strategy class constructor.
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Space in navigation mode is handled differently in a dropdown list because the list should be opened.
     * @returns navigation commands
     */
    spacePressed(): INavigationCommand[];
    /**
     * Retrieves the time navigation strategy name
     * @returns time navigation strategy name
     */
    getName(): string;
}
