import { INavigationCommand } from '../../../typedefinitions/models/INavigationCommand';
import { TimePickerButtonInsertStrategy } from './TimePickerButtonInsertStrategy';
/**
 * Keyboard navigation strategy for the time picker button in insert mode
 */
export declare class TimePickerButtonInsertAccessibleStrategy extends TimePickerButtonInsertStrategy {
    /**
     * Creates corresponding commands for the enter key pressed event.
     * If the time picker list is open, selects the active enum value, otherwise navigates to the next field.
     * @param event
     * @returns navigation commands
     */
    enterKeyPressed(event: KeyboardEvent): INavigationCommand[];
    /**
     * Retrieves the time picker button insert strategy name
     * @returns time picker button insert strategy name
     */
    getName(): string;
}
