import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * First page command class
 */
export declare class FirstPageCommand implements INavigationCommand {
    private injector;
    private eventService;
    /**
     * Retrieves the first page navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * First page command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Executes the first page action
     */
    execute(): void;
}
