import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Focus control command class
 */
export declare class FocusControlCommand implements INavigationCommand {
    private injector;
    private controlId;
    private focusService;
    /**
     * Retrieves the focus control navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Focus control command class constructor
     * @param injector
     * @param controlId
     */
    constructor(injector: Injector, controlId: string);
    /**
     * Focuses a control element by its control id
     */
    execute(): void;
}
