import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Go to field command class
 */
export declare class GoToFieldCommand implements INavigationCommand {
    private injector;
    private fieldName;
    private eventService;
    /**
     * Retrieves the go-to field navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Go to field command class constructor
     * @param injector
     * @param fieldName
     */
    constructor(injector: Injector, fieldName: string);
    /**
     * Executes the go-to field command action
     * @param event
     */
    execute(event: KeyboardEvent): void;
}
