import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Last input control command class
 */
export declare class LastInputControlCommand implements INavigationCommand {
    private injector;
    private focusService;
    private navigationService;
    /**
     * Retrieves the last input control navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Last input control command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Focuses the last input control on the current page
     * @param event
     */
    execute(event: KeyboardEvent): void;
}
