import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Last page command class
 */
export declare class LastPageCommand implements INavigationCommand {
    private injector;
    private eventService;
    /**
     * Retrieves the last page navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Last page command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Executes the last page action
     */
    execute(): void;
}
