import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Next field command class
 */
export declare class NextFieldCommand implements INavigationCommand {
    private injector;
    private eventService;
    /**
     * Retrieves the next field navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Next field command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Executes the next field action
     */
    execute(): void;
}
