import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Next page command class
 */
export declare class NextPageCommand implements INavigationCommand {
    private injector;
    private eventService;
    /**
     * Retrieves the next page navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Next page command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Executes the next page action
     * @param event
     */
    execute(event: KeyboardEvent): void;
}
