import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Previous field command class
 */
export declare class PreviousFieldCommand implements INavigationCommand {
    private injector;
    private eventService;
    /**
     * Retrieves the previous field navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Previous field command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Executes the previous field action
     * @param event
     */
    execute(event: KeyboardEvent): void;
}
