import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Restore mode command class
 */
export declare class RestoreModeCommand implements INavigationCommand {
    private injector;
    private navigationService;
    private renderStateService;
    /**
     * Retrieves the restore mode navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Restore mode command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Restores the navigation mode to the runtime settings' mode
     */
    execute(): void;
}
