import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Restore previous value command class
 */
export declare class RestorePreviousValueCommand implements INavigationCommand {
    private injector;
    private navigationService;
    private subscriptionService;
    private renderStateService;
    /**
     * Restore previous value navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * The restore previous value command class constructor injects used services.
     */
    constructor(injector: Injector);
    /**
     * Restores the fields' previous value
     */
    execute(): void;
}
