import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationMode } from '../../../../typedefinitions/enums/NavigationMode';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Set navigation mode command class
 */
export declare class SetNavigationModeCommand implements INavigationCommand {
    private injector;
    protected mode: NavigationMode;
    private navigationService;
    /**
     * Set navigation mode navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Set navigation mode command class constructor
     * @param injector
     * @param mode (Navigation = 0, Insert = 1, None = 2)
     */
    constructor(injector: Injector, mode: NavigationMode);
    /**
     * Sets the navigation mode to a given value (Navigation = 0, Insert = 1, None = 2)
     */
    execute(): void;
}
