import { Injector } from '@angular/core';
import { INavigationCommand } from '../../../../typedefinitions/models/INavigationCommand';
import { NavigationCommandKind } from '../../../../typedefinitions/enums/NavigationCommandKind';
/**
 * Toggle navigation command class
 */
export declare class ToggleNavigationCommand implements INavigationCommand {
    private injector;
    private navigationService;
    /**
     * Retrieves the toggle-navigation navigation command kind
     * @returns navigation command kind
     */
    get navigationCommandKind(): NavigationCommandKind;
    /**
     * Toggle navigation command class constructor
     * @param injector
     */
    constructor(injector: Injector);
    /**
     * Toggles the navigation mode between Navigation (0) and Insert (1)
     */
    execute(): void;
}
