import * as i0 from "@angular/core";
/**
 * The performance service handles performance measuring
 */
export declare class PerformanceService {
    /**
     * The measure function creates measurement marks, measures and executes a given function and creates a named timestamp in the browser's performance entry buffer between the set marks.
     * @param originalFunction The function to execute and measure
     * @param className The name of the class for which to execute a measured function (used in the mark name)
     * @param functionName The name of the function to execute and measure (used in the mark name)
     * @param titleArgs Additional mark title values (to be used in the mark name)
     */
    measure(originalFunction: any, className: string, functionName: string, titleArgs?: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PerformanceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PerformanceService>;
}
