import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IAccessToken } from '../../typedefinitions/models/IAccessToken';
import { IUserCredentials } from '../../typedefinitions/models/IUserCredentials';
import * as i0 from "@angular/core";
/**
 * The security service handles access token requests for the application
 */
export declare class SecurityService {
    private http;
    /**
     * The request token post path
     */
    private _requestTokenPath;
    /**
     * The access token object property contains an access and refresh token
     */
    accessToken: Nullable<IAccessToken>;
    /**
     * The request token post path
     */
    set requestTokenPath(path: string);
    /**
     * Security service class constructor
     * @param http
     */
    constructor(http: HttpClient);
    /**
     * Used by the login component to request an access token from the server
     * @param user username and password
     */
    requestAccessToken(user: IUserCredentials): Observable<Nullable<IAccessToken>>;
    /**
     * Handles a request access token call fail by error
     * @param error
     */
    private handleException;
    static ɵfac: i0.ɵɵFactoryDeclaration<SecurityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SecurityService>;
}
