import { OnInit, OnDestroy } from '@angular/core';
import { HotkeyService } from './hotkeys/hotkey.service';
import { GestureService } from './gestures/gesture.service';
import { SubscriptionService } from './subscription.service';
import * as i0 from "@angular/core";
/**
 * The shortcut service handles shortcut registrations and updates.
 */
export declare class ShortcutService implements OnInit, OnDestroy {
    private subscriptionService;
    private hotkeyService;
    private gestureService;
    /**
     * Subscription
     */
    private clientSideShortcutsSubscription?;
    /**
     * Shortcut service class constructor
     * @param subscriptionService
     * @param hotkeyService
     * @param gestureService
     */
    constructor(subscriptionService: SubscriptionService, hotkeyService: HotkeyService, gestureService: GestureService);
    /**
     * Subscribes to the client side shortcuts subscription on initialisation of this service.
     */
    ngOnInit(): void;
    /**
     * Unsubscribe from the client side shortcuts subscription on service destruction.
     */
    ngOnDestroy(): void;
    /**
     * Resets the hotkey service and adds/registers a given set of shortcuts
     * @param clientSideShortCuts
     */
    private handleUpdate;
    /**
     * Resets the hotkey service
     */
    private clearShortcuts;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShortcutService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ShortcutService>;
}
