import { GridUnitType } from '../../../typedefinitions/enums/GridUnitType';
import { IControlSize } from './IControlSize';
import { CellControlSize } from './CellControlSize';
export interface ICellContainer extends IControlSize {
    getColumnSiblings(rowIndex: number, excludeColumnIndex?: number): CellControlSize[];
    getRowSiblings(columnIndex: number, excludeRowIndex?: number): CellControlSize[];
    countColumnWidth(rowIndex: number, columnType: GridUnitType): number;
    countRowHeight(colIndex: number, rowType: GridUnitType): number;
    getColumnWidths(version: number): number[];
    getRowHeights(version: number): number[];
    getGridLineWidth(version: number): number;
    getGridLineHeight(version: number): number;
    getCell(colIndex: number, rowIndex: number): Nullable<CellControlSize>;
}
