import { ComponentService } from './component.service';
import { FocusService } from './focus.service';
import { RenderStateService } from './renderstate.service';
import { SubscriptionService } from './subscription.service';
import * as i0 from "@angular/core";
/**
 * The speed key service handles speed key keyboard inputs by the user via the first relevant component
 */
export declare class SpeedKeyService {
    private componentService;
    private focusService;
    private renderStateService;
    private subscriptionService;
    /**
     * Readonly list of allowed speed key values (0-9A-Za-z)
     */
    get speedKeys(): string[];
    /**
     * Speed key service class constructor
     * @param componentService
     * @param focusService
     * @param renderStateService
     * @param subscriptionService
     */
    constructor(componentService: ComponentService, focusService: FocusService, renderStateService: RenderStateService, subscriptionService: SubscriptionService);
    /**
     * Has the corresponding component handle the speed key pressed.
     * @param event
     */
    speedKeyPressed(event: KeyboardEvent): void;
    private fromCharCodes;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpeedKeyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpeedKeyService>;
}
