import * as i0 from "@angular/core";
/**
 * The storage service provides access to the device's local and session storage.
 */
export declare class StorageService {
    private readonly _prefix;
    /**
     * Stores a provided value in the session storage using a specified key
     * @param key The session storage item key
     * @param value The value to store
     */
    setSessionStorageItem(key: string, value: any): void;
    /**
     * Returns the session storage data for a specific key
     * @param key The session storage item key
     * @returns the result of JSON.parse() of the value in SessionStorage
     */
    getSessionStorageItem(key: string): object;
    /**
     * Removes the session storage data for a specific key
     * @param key The session storage item key
     */
    removeSessionStorageItem(key: string): void;
    /**
     * Removes all session storage data
     */
    clearSessionStorage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StorageService>;
}
