import { ITextInfo } from '../../typedefinitions/models/ITextInfo';
import * as i0 from "@angular/core";
/**
 * The text info service contains text info settings as provided by the server
 */
export declare class TextInfoService {
    /**
     * text info field
     */
    private textInfo;
    /**
     * function that sets the textInfo value on the factory
     * @param textInfo the textInfo to set
     */
    setTextInfo(textInfo: ITextInfo): void;
    /**
     * function that returns the right to left setting for texts
     * @returns {boolean} true for right to left, otherwise (left to right) false
     */
    isRightToLeftText(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextInfoService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TextInfoService>;
}
