import * as i0 from "@angular/core";
/**
 * The tick service calculates the number of ticks and their individual placement
 */
export declare class TicksService {
    /**
     * Calculates the number of ticks
     * @param ticksSettings
     * @returns number of ticks
     */
    private getNumberOfTicks;
    /**
     * Calculates the tick step
     * @param ticksSettings
     * @returns tick step
     */
    private getStep;
    /**
     * Calculates the tick value based on a set of parameters
     * @param minValue
     * @param tickIndex
     * @param step
     * @returns tick value
     */
    private getTickValue;
    /**
     * Calculates the tick percentage
     * @param tickIndex
     * @param numberOfTicks
     * @param precision
     * @returns percentage
     */
    private getPercentage;
    /**
     * Calculates the order of the ticks
     * @param tickIndex
     * @param numberOfTicks
     * @param reverse
     * @returns number
     */
    private getOrder;
    /**
     * Set the tick style based on its orientation and percentage
     * @param orientation
     * @param rtl
     * @param reverse
     * @param percentage
     * @returns css style object
     */
    private getTickStyle;
    /**
     * Retrieves the tick orientation
     * @param orientation
     * @param rtl
     * @param reverse
     * @returns tick orientation
     */
    private getTickOrientation;
    static ɵfac: i0.ɵɵFactoryDeclaration<TicksService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TicksService>;
}
