import { EventEmitter } from '@angular/core';
import { ITooltipEvent } from '../../typedefinitions/events/ITooltipEvent';
import { ITooltip } from '../../typedefinitions/models/controls/properties/tooltip/ITooltip';
import * as i0 from "@angular/core";
/**
 * The tooltip service provides functionality for showing, hiding and emitting a tooltip.
 */
export declare class TooltipService {
    /**
     * The handle tooltip event emitter
     */
    handleTooltip: EventEmitter<ITooltipEvent>;
    /**
     * Constructor. Initiates the handle tooltip event emitter property.
     */
    constructor();
    /**
     * Set, emit and show the tooltip
     * @param tooltip
     * @param hostElement
     */
    showTooltip(tooltip: ITooltip, hostElement: HTMLElement): void;
    /**
     * Reset, emit and hide the tooltip
     */
    hideTooltip(): void;
    /**
     * Emit tooltip via handle tooltip event emitter
     * @param tooltip
     * @param hostElement
     * @param visible
     */
    private emitTooltip;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TooltipService>;
}
