import { HttpClient } from '@angular/common/http';
import { EventService } from './event.service';
import { PayloadService } from './payload.service';
import * as i0 from "@angular/core";
/**
 * File upload service
 */
export declare class UploadService {
    private http;
    private eventService;
    private payloadService;
    private _uploadPath;
    /**
     * Property on which the upload path is set
     */
    set uploadPath(path: string);
    /**
     * Upload service class constructor
     * @param http Http client performs HTTP requests
     * @param eventService Central hub in Blaise containing global application events
     * @param payloadService Constructs server payloads for this services' upload posts
     */
    constructor(http: HttpClient, eventService: EventService, payloadService: PayloadService);
    /**
     * Upload file object to the server
     * @param file
     * @param fieldName
     * @param fieldPropertyName (optional)
     * @returns promise
     */
    uploadFile(file: File, fieldName: string, fieldPropertyName?: string): Promise<any>;
    /**
     * Http post error handler
     * @param error
     * @returns rejection promise
     */
    private handleError;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UploadService>;
}
