import { IColor } from './IColor';
import { BrushType } from '../enums/BrushType';
import { ImageStretch } from '../enums/ImageStretch';
export interface IBrush {
    BrushType: BrushType;
}
export interface IPoint {
    X: number;
    Y: number;
}
export interface IGradientStop {
    Offset: number;
    Color: IColor;
}
export interface ILinearGradientBrush extends IBrush {
    StartPoint: IPoint;
    EndPoint: IPoint;
    GradientStops: IGradientStop[];
}
export interface IImageBrush extends IBrush {
    ID: string;
    Opacity: number;
    Stretch: ImageStretch;
    PixelHeight: number;
    PixelWidth: number;
    SourceUrl: string;
}
export interface ISolidColorBrush extends IBrush {
    SolidColor: IColor;
}
