/**
 * Data-object for calculation of the grid/table layout
 */
export interface IDataForGridObject {
    /**
     * FixedSizes: the already known total fixed sizes apart from the current row/column
     */
    FixedSizes: number;
    /**
     * Total amount of stars in column/row
     */
    TotalStars: number;
    /**
     * Amount of stars of current element
     */
    ElementStars: number;
    /**
     * The calculated size of the element
     */
    CalculatedSize: number;
    /**
     * Indicates if the grid object has sibling objects using percentages for size in the page structure
     */
    HasPercentageSiblings: boolean;
}
