import { IUnit } from './IUnit';
export interface IDimensionProperty {
    height: any | string | IUnit;
    width: any | string | IUnit;
    margin: any;
    borderWidth?: number;
    backgroundImageScale?: number;
    /**
     * This property only applies to image controls. There it defines the maximum image height in pixels.
     * For all other controls, this property will be undefined.
     */
    pixelHeight?: number;
    /**
     * This property only applies to image controls. There it defines the maximum image width in pixels.
     * For all other controls, this property will be undefined.
     */
    pixelWidth?: number;
}
