import { IInputControl } from './controls/IInputControl';
import { IBaseError } from './server/IBaseError';
/**
 * Error definition extends the server's base error definition with properties that are needed client-side
 */ export interface IError extends IBaseError {
    /**
     * Flag indicating if the error is relevant
     */
    IsRelevant: boolean;
    /**
     * Range error system text key
     */
    Key: string;
    /**
     * Invalid value causing the error
     */
    InvalidValue: string;
    /**
     * Property needed for record error involved fields control
     */
    Selected?: boolean;
    /**
     * Property needed for retrieving the System Text from the correct control
     */
    InvolvedControl?: IInputControl;
}
