import { IRouteItem } from './IRouteItem';
import { IControlInfo } from './IControlInfo';
import { IDataValue } from './IDataValue';
import { IError } from './IError';
import { IFieldProperty } from './IFieldProperty';
import { IValueType } from './value-types/IValueType';
import { IDataSource } from './server/data-source/IDataSource';
import { ILookupInformation } from './server/ILookupInformation';
import { EditMode } from '../enums/EditMode';
import { FieldOrigin } from '../enums/FieldOrigin';
export interface IField extends IRouteItem {
    ValueType: IValueType;
    DataValue: IDataValue;
    IsCritical: boolean;
    IsRequired: boolean;
    EditMode: EditMode;
    Origin: FieldOrigin;
    Errors: IError[];
    FieldProperties: IFieldProperty[];
    SpecialAnswers: string[];
    InputControls: IControlInfo[];
    IsVisited: boolean;
    DataSource?: IDataSource;
    LookupInformation?: ILookupInformation;
}
