/**
 * A marker to be show on a mapsControl
 */
export interface IMarker {
    /**
     * Coordinates (latitude and longitude) of the marker
     */
    Location: string;
    /**
     * Text to show at the marker
     */
    Description?: string;
    /**
     * Reference to a font class in the css stylesheet
     */
    LabelFont?: string;
    /**
     * FontName for the label of the marker
     */
    LabelFontName?: string;
    /**
     * Text color of the Label
     */
    LabelColor?: string;
    /**
     * Determines whether the marker is selected
     */
    Selected?: boolean;
}
