/**
 * Info for additional layers to be shown on a map
 */
export interface IShapeFile {
    /**
     * Filename of the shape file. A shape consists of multiple file names like .shp, .dbf, prj, etc. All these files are used to load a shape and therefor have to be provided in the package and/or MapsPath directory. The property should only contain the .shp file.
     */
    FileName: string;
    /**
     * Name of the color name to apply to the shape, e.g. red, blue, yellow, ... Default: transparent
     */
    Color?: string;
    /**
     * Transparency (or alpha) value which should be applied to the shape. Accepted values are 0-255. Default: 0
     */
    Alpha?: number;
    /**
     * Width of the border/outline around the shape. Default: 0 (no border)
     */
    OutlineWidth?: number;
    /**
     * Name of the color to apply to the border/outline around the shape, e.g. red, blue, yellow, ... Default: transparent
     */
    OutlineColor?: string;
}
