import { ActionKind } from '../../enums/ActionKind';
/**
 * The action interface serves as the base interface for all actions and contains the action kind property.
 */ export interface IAction {
    /**
     * Action kind enumeration value
     */
    Kind: ActionKind;
}
/**
 * The first-page action interface defines the properties required to perform the first-page action.
 */ export interface IFirstPageAction extends IAction {
}
/**
 * The last-page action interface defines the properties required to perform the last-page action.
 */ export interface ILastPageAction extends IAction {
}
/**
 * The next-page action interface defines the properties required to perform the next-page action.
 */ export interface INextPageAction extends IAction {
}
/**
 * The previous-page action interface defines the properties required to perform the previous-page action.
 */ export interface IPreviousPageAction extends IAction {
}
/**
 * The current-page action interface defines the properties required to perform the current-page action.
 */ export interface ICurrentPageAction extends IAction {
}
/**
 * The quit action interface defines the properties required to perform the quit action.
 */ export interface IQuitAction extends IAction {
}
/**
 * The save action interface defines the properties required to perform the save action.
 */ export interface ISaveAction extends IAction {
}
/**
 * The print action interface defines the properties required to perform the print action.
 */ export interface IPrintAction extends IAction {
}
/**
 * The finish action interface defines the properties required to perform the finish action.
 */ export interface IFinishAction extends IAction {
}
/**
 * The go-to-parallel-end action interface defines the properties required to perform the go-to-parallel-end action.
 */ export interface IGoToParallelEndAction extends IAction {
}
/**
 * The dial-number action interface defines the properties required to perform the dial-number action.
 */ export interface IDialNumberAction extends IAction {
}
/**
 * The close-dialog action interface defines the properties required to perform the close-dialog action.
 */ export interface ICloseDialogAction extends IAction {
}
/**
 * The stop-all-audio action interface defines the properties required to perform the stop-all-audio action.
 */ export interface IStopAllAudioAction extends IAction {
}
/**
 * The stop-all-video action interface defines the properties required to perform the stop-all-video action.
 */ export interface IStopAllVideoAction extends IAction {
}
/**
 * The undo-all-edits action interface defines the properties required to perform the undo-all-edits action.
 */ export interface IUndoAllEditsAction extends IAction {
}
