import { IAction } from './IAction';
import { IExpression } from '../expressions/IExpression';
/**
 * The assign-field action interface defines the properties required to perform the assign-field action.
 */ export interface IAssignFieldAction extends IAction {
    /**
     * The name of the (field-property's) field to which a value is to be assigned
     */
    FieldName: string;
    /**
     * An expression to determine the name of the (field-property's) field to which a value is to be assigned
     */
    FieldNameAsExpression: IExpression;
    /**
     * The value to assign to the given field (-property)
     */
    ValueAsString: string;
    /**
     * An expression to determine the value to assign to the given field (-property)
     */
    ValueAsExpression: IExpression;
}
