import { IAction } from './IAction';
import { IExpression } from '../expressions/IExpression';
/**
 * The for-each action interface defines the properties required to perform the for-each action.
 */ export interface IForEachAction extends IAction {
    /**
     * Atomic name property name
     */
    Item: string;
    /**
     * When evaluated, the collection expression results in a collection of items to iterate
     */
    Collection: IExpression;
    /**
     * Array of actions to execute for every item in the collection expression's result collection
     */
    Body: IAction[];
}
