import { IAction } from './IAction';
/**
 * The go-to field action interface defines an object containing properties required to perform the go-to field action.
 */ export interface IGoToFieldAction extends IAction {
    /**
     * The name of the (field-property's) field to which navigate to.
     */
    FieldName: string;
}
/**
 * The go-to field-property action interface defines an object containing properties required to perform the go-to field-property action.
 */ export interface IGoToFieldPropertyAction extends IGoToFieldAction {
    /**
     * The name of the field property to which navigate to.
     */
    FieldPropertyName: string;
}
/**
 * The go-to block-field action interface defines the properties required to perform the block-field action.
 */ export interface IGoToBlockFieldAction extends IGoToFieldAction {
}
