import { IAction } from './IAction';
import { IPropertyValue } from '../server/client-side/property-values/IPropertyValue';
/**
 * The set control-property action interface defines the properties required to perform the set control-property action.
 */ export interface ISetControlPropertyAction extends IAction {
    /**
     * The ID of the control for which to modify a property value
     */
    ControlID: string;
    /**
     * The name of the property of the control for which the value will be changed
     */
    PropertyName: string;
    /**
     * The new value to set on the control's property.
     */
    Value: IPropertyValue;
}
