import { IAction } from './IAction';
import { WindowStyle } from '../../enums/WindowStyle';
/**
 * The start-local-process action is a windows client only action.
 * It starts a process on the windows client machine from/on a given location, with a set of given arguments.
 */ export interface IStartLocalProcessAction extends IAction {
    /**
     * FileName specifies the fully qualified file name of the local process to start
     */
    FileName: Optional<string>;
    /**
     * Arguments specifies the arguments to pass to the local process
     */
    Arguments: Optional<string>;
    /**
     * WorkingDirectory specifies the working directory for the local process
     */
    WorkingDirectory: Optional<string>;
    /**
     * WaitForExit flag, when true, the application waits for the local process to end before continuing
     */
    WaitForExit: Optional<boolean>;
    /**
     * WindowStyle If the process has a GUI, this property sets the process' window style
     */
    WindowStyle: Optional<WindowStyle>;
}
