import { IControlAction } from './IControlAction';
import { Visibility } from '../../enums/Visibility';
/**
 * The toggle-visibility action interface defines the properties required to perform the toggle-visibility action.
 */ export interface IToggleVisibilityAction extends IControlAction {
    /**
     * When a toggle visibility action changes the visibility of a control from visible to invisible, the invisible value property determines if `hidden` or `collapsed` should be used.
     */
    InvisibleValue: Visibility;
}
