import { IAction } from './IAction';
import { INamedValue } from '../INamedValue';
/**
 * The values control action interface serves as the base interface for the audit-trail and server-event actions.
 */ export interface IValuesAction extends IAction {
    /**
     * Array of `NamedValue` objects. These object contain a name property and a value in the form of either a string or an expression.
     */
    Values: INamedValue[];
}
/**
 * The audit-trail values action interface defines the properties required to perform the audit-trail action.
 */ export interface IAuditTrailAction extends IValuesAction {
}
/**
 * The server-event values action interface defines the properties required to perform the server-event action.
 */ export interface IServerEventAction extends IValuesAction {
}
