import { IBaseControl } from './IBaseControl';
import { IActionsEventHandler } from '../IActionsEventHandler';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
/**
 * The actions control interface defines the data object for components with a modifiable click action (button, hyperlink and image).
 */ export interface IActionsControl extends IBaseControl, IHasKeyboardFocus {
    /**
     * On click actions event handler
     */
    OnClick?: IActionsEventHandler;
}
