import { IBaseControl } from './IBaseControl';
import { IHasSystemTexts } from './properties/IHasSystemTexts';
import { IBrush } from '../IBrush';
import { IColor } from '../IColor';
import { IThickness } from '../IThickness';
/**
 * The appointment control interface defines the data object for the appointment component.
 */ export interface IAppointmentControl extends IBaseControl, IHasSystemTexts {
    BlockedBackground: IBrush;
    BlockedBorderColor: IColor;
    BlockedBorderWidth: IThickness;
    SelectedBackground: IBrush;
    SelectedBorderColor: IColor;
    SelectedBorderWidth: IThickness;
    TimeInterval: number;
    InstrumentSelection: string;
    AggregationMode: string;
    InitialView: string;
    AvailabilityHighColor: IColor;
    AvailabilityMediumColor: IColor;
    AvailabilityLowColor: IColor;
    AdjustSizeToLoad: boolean;
    ShowCurrentTimeIndicator: boolean;
    ShowSurveyDaysInfo: boolean;
    ShowLegend: string;
    TimelineDayWidth: number;
    TimelineWeekWidth: number;
    ShowEndTimes: boolean;
    DayViewAvailable: boolean;
    WeekViewAvailable: boolean;
    TimelineDayViewAvailable: boolean;
    TimelineWeekViewAvailable: boolean;
    ShowHardAppointmentFilter: boolean;
    ShowMediumAppointmentFilter: boolean;
    ShowSoftAppointmentFilter: boolean;
    IncludeHardAppointments: boolean;
    IncludeMediumAppointments: boolean;
    IncludeSoftAppointments: boolean;
}
