import { IDataValueControl } from './IDataValueControl';
import { IHasAutoEnter } from './properties/IHasAutoEnter';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
import { IHasSpeedKey } from './properties/IHasSpeedKey';
import { ICategoryFieldReference } from './references/ICategoryFieldReference';
import { IActionsEventHandler } from '../IActionsEventHandler';
/**
 * The category control interface defines the data object for the category components (radio button, checkbox and button).
 */ export interface ICategoryControl extends IDataValueControl<ICategoryFieldReference>, IHasAutoEnter, IHasKeyboardFocus, IHasSpeedKey {
    /**
     * On value changed actions event handler
     */
    OnValueChanged: IActionsEventHandler;
}
