import { IDataSourceControl } from './IDataSourceControl';
import { Orientation } from '../../enums/Orientation';
/**
 * The data grid navigator control interface defines the data object for the data grid navigator component,
 * which enables end-users to browse the external data shown in a data grid component.
 */ export interface IDataGridNavigatorControl extends IDataSourceControl {
    /**
     * Data-grid navigator control orientation (vertical or horizontal)
     */
    Orientation: Orientation;
    /**
     * Flag indicating if first and last page buttons should be shown
     */
    ShowFirstAndLastPageButtons: boolean;
    /**
     * Flag indicating if previous and next page buttons should be shown
     */
    ShowPreviousAndNextPageButtons: boolean;
    /**
     * Flag indicating if previous and next record buttons should be shown
     */
    ShowPreviousAndNextRecordButtons: boolean;
    /**
     * Flag indicating if the navigator should show a scrollbar thumb
     */
    ShowThumb: boolean;
}
