import { IInputControl } from './IInputControl';
import { IHasWatermark } from './properties/IHasWatermark';
/**
 * The data grid search box control interface defines the data object for the data grid search box component.
 */ export interface IDataGridSearchBoxControl extends IInputControl, IHasWatermark {
    /**
     * Flag indicating if a search request should start automatically after input search or requires user input (enter or button click)
     */
    AutoSearch: boolean;
    /**
     * Data source id
     */
    DataSourceID: string;
}
