import { IBaseControl } from './IBaseControl';
import { IDataValueReference } from './references/IDataValueReference';
/**
 * The reference control interface forms a base control for components with a reference data object.
 */
export interface IDataValueControl<T extends IDataValueReference = IDataValueReference> extends IBaseControl {
    /**
     * Data value reference by default, but an alternative extended reference type can be defined by a child control
     */
    Reference: T;
}
