import { IAppearanceControl } from './IAppearanceControl';
import { IHasWatermark } from './properties/IHasWatermark';
import { IHasBlankChar } from './properties/IHasBlankChar';
import { IHasShowEditMask } from './properties/IHasShowEditMask';
import { IDatePickerSettings } from './properties/date-picker-settings/IDatePickerSettings';
import { IDateConstraints } from './properties/date-picker-settings/IDateConstraints';
/**
 * The date control interface defines the data object for the date component.
 */ export interface IDateControl extends IAppearanceControl, IHasWatermark, IHasShowEditMask, IHasBlankChar {
    /**
     * Defines the restrictions on the selectable and shown dates.
     */
    DateConstraints: IDateConstraints;
    /**
     * Contains settings for the date picker border, header and body and the way dates are shown
     */
    DatePickerSettings: IDatePickerSettings;
}
