import { IDataValueControl } from './IDataValueControl';
import { IHasText } from './properties/IHasText';
import { IHasErrorKindFilter } from './properties/IHasErrorKindFilter';
import { IHasSystemTexts } from './properties/IHasSystemTexts';
/**
 * The error text control interface defines the data object for the error text component.
 */ export interface IErrorTextControl extends IDataValueControl, IHasText, IHasSystemTexts, IHasErrorKindFilter {
    /**
     * Range check error info text
     */
    AnswerInfoText: string;
    /**
     * Text shown when the related field's value is empty but required
     */
    RouteErrorText: string;
    /**
     * Error text shown when the related field was answered but is off route
     */
    NoAnswerExpectedText: string;
}
