import { IUriControl } from './IUriControl';
import { ImageStretch } from '../../enums/ImageStretch';
import { IHasOutline } from './properties/IHasOutline';
/**
 * The image control interface defines the data object for the image component.
 */ export interface IImageControl extends IUriControl, IHasOutline {
    /**
     * Image resource
     */
    Source: string;
    /**
     * Image web source url
     */
    SourceUrl: string;
    /**
     * Image opacity
     */
    Opacity: number;
    /**
     * Image stretch behaviour
     */
    Stretch: ImageStretch;
    /**
     * Maximum image height in pixels
     */
    PixelHeight: number;
    /**
     * Maximum image width in pixels
     */
    PixelWidth: number;
}
