import { IBaseControl } from './IBaseControl';
import { IHasFont } from './properties/IHasFont';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
import { IRichTextItem } from '../richText/IRichTextItem';
import { IHasOutline } from './properties/IHasOutline';
/**
 * The index control interface defines the data object for the index component.
 * This component has been deprecated and is no longer implemented. A list of index item buttons should be used instead.
 */ export interface IIndexControl extends IBaseControl, IHasFont, IHasKeyboardFocus, IHasOutline {
    /**
     * Displayed rich text items
     */
    RichTextItems: IRichTextItem[];
    /**
     * Screen reader text items
     */
    ScreenReaderTextItems: any[];
}
