import { IDataValueControl } from './IDataValueControl';
import { IHasAutoEnter } from './properties/IHasAutoEnter';
import { IHasFont } from './properties/IHasFont';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
import { IHasSystemTexts } from './properties/IHasSystemTexts';
import { IActionsEventHandler } from '../IActionsEventHandler';
/**
 * The input control interface defines the data object for input components
 * (appearance, classification, data-grid, data-grid search box, dropdown-list, number slider, upload, enumeration-, lookup-, number-, set- and string text box).
 */ export interface IInputControl extends IDataValueControl, IHasKeyboardFocus, IHasAutoEnter, IHasFont, IHasSystemTexts {
    /**
     * On value changed event actions to execute
     */
    OnValueChanged: IActionsEventHandler;
}
