import { IInputControl } from './IInputControl';
import { IHeadersSettings } from './properties/headers-settings/IHeaderSettings';
import { IHasOptionSettings } from './properties/IHasOptionSettings';
import { IHasWatermark } from './properties/IHasWatermark';
import { IActionsEventHandler } from '../IActionsEventHandler';
/**
 * The lookup text box control interface defines the data object for the lookup text box component.
 */ export interface ILookupTextBoxControl extends IInputControl, IHasOptionSettings, IHasWatermark {
    /**
     * On record selected actions event handler
     */
    OnRecordSelected: IActionsEventHandler;
    /**
     * Data source id
     */
    DataSourceID: string;
    /**
     * Search result limit
     */
    MaximumResultCount: number;
    /**
     * Headers settings
     */
    Headers: IHeadersSettings;
}
