import { IBaseControl } from './IBaseControl';
/**
 * The media control defines the data object for the audio and video components.
 */ export interface IMediaControl extends IBaseControl {
    /**
     * The source of the media file. This is always a reference to the ResourceDatabase
     */
    Source?: string;
    /**
     * The source url of the media file. This is an external reference, like YouTube.
     */
    SourceUrl?: string;
    /**
     * The sources of media files. These are always references to the ResourceDatabase
     */
    Sources?: string[];
    /**
     * The source urls of media files. These are external references, like YouTube videos.
     */
    SourceUrls?: string[];
    /**
     * Indicates if the audio/video has to be played as soon as the control has finished
     * loading. Set it to true to immediately start the audio/video.
     */
    AutoPlay: boolean;
    /**
     * Indicates if the media controls are shown or if an audio fragment plays in the background and a video is played automatically.
     */
    ShowControls: boolean;
}
