import { IBaseControl } from './IBaseControl';
import { IHasFont } from './properties/IHasFont';
import { IMenuItem } from '../IMenuItem';
import { IBrush } from '../IBrush';
/**
 * The menu control interface defines the data object for the menu component.
 */ export interface IMenuControl extends IBaseControl, IHasFont {
    /**
     * Menu-item definitions (single or with submenu)
     */
    MenuItems: IMenuItem[];
    /**
     * Background properties of all submenu items
     */
    SubmenuBackground: IBrush;
}
