import { IInputControl } from './IInputControl';
import { INumberSeparator } from '../INumberSeparator';
import { IHasWatermark } from './properties/IHasWatermark';
/**
 * The number text box control interface defines the data object for the number text box component.
 */ export interface INumberTextBoxControl extends IInputControl, IHasWatermark {
    /**
     * Information for the number decimal separator containing type and value
     */
    DecimalSeparator: INumberSeparator;
    /**
     * Information for the number thousands separator containing type and value
     */
    ThousandSeparator: INumberSeparator;
    /**
     * Flag indicating whether the thousand separator should be shown or not
     */
    ShowThousandSeparator: boolean;
    /**
     * Flag indicating if the thousands separator should be seen as a decimal symbol. If false, insertion of a thousand separator symbol is denied, otherwise it will work as before. Default is true.
     */
    TreatThousandSeparatorAsDecimalSymbol: boolean;
}
