import { IBaseControl } from './IBaseControl';
import { IRichTextItem } from '../richText/IRichTextItem';
import { IStringItem } from '../IStringItem';
import { IHasFont } from './properties/IHasFont';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
import { IHasOutline } from './properties/IHasOutline';
/**
 * **deprecated** The parallel tabs control interface defines the data object for the parallel tabs component.
 */ export interface IParallelTabsControl extends IBaseControl, IHasFont, IHasKeyboardFocus, IHasOutline {
    /**
     * Text to show on each tab
     */
    RichTextItems: IRichTextItem[];
    /**
     * Screen reader text for each tab
     */
    ScreenReaderTextItems: IStringItem[];
    /**
     * Tooltip text for each tab
     */
    ToolTipItems: IRichTextItem[];
}
