import { IBaseControl } from './IBaseControl';
import { IHasFont } from './properties/IHasFont';
import { IHasErrorKindFilter } from './properties/IHasErrorKindFilter';
import { IColor } from '../IColor';
/**
 * The record errors list box control interface defines the data object for the record errors list box component.
 */ export interface IRecordErrorsListboxControl extends IBaseControl, IHasFont, IHasErrorKindFilter {
    /**
     * Text to display when an on-route record is empty but required
     */
    AnswerRequiredText: string;
    /**
     * Text to display when an off-route record has a value
     */
    NoAnswerExpectedText: string;
    /**
     * Background color of a focused record error list item
     */
    HoverBackgroundColor: IColor;
    /**
     * Font color of a focused record error list item
     */
    HoverFontColor: IColor;
    /**
     * Background color of a selected record error list item
     */
    SelectedBackgroundColor: IColor;
    /**
     * Font color of a selected record error list item
     */
    SelectedFontColor: IColor;
}
