import { IBaseControl } from './IBaseControl';
import { IHasErrorKindFilter } from './properties/IHasErrorKindFilter';
import { IHasIncludeGroupErrors } from './properties/IHasIncludeGroupErrors';
import { IHasText } from './properties/IHasText';
/**
 * The route items error text control interface defines the data object for the route items error text component.
 */ export interface IRouteItemsErrorTextControl extends IBaseControl, IHasErrorKindFilter, IHasIncludeGroupErrors, IHasText {
    /**
     * Text to display when an on-route field is empty but required
     */
    RouteErrorText: string;
    /**
     * Text to display when an off-route field has a value
     */
    NoAnswerExpectedText: string;
}
