import { IActionsEventHandler } from '../IActionsEventHandler';
import { IDataValueControl } from './IDataValueControl';
import { ISpecialAnswerReference } from './references/ISpecialAnswerReference';
import { IHasAutoEnter } from './properties/IHasAutoEnter';
import { IHasTabIndex } from './properties/IHasTabIndex';
import { IHasSpeedKey } from './properties/IHasSpeedKey';
import { IHasOutline } from './properties/IHasOutline';
/**
 * The special answer control interface defines the data object for the special answer components (radio button, checkbox and button).
 */ export interface ISpecialAnswerControl extends IDataValueControl<ISpecialAnswerReference>, IHasAutoEnter, IHasTabIndex, IHasSpeedKey, IHasOutline {
    /**
     * Actions to execute when the special answer value changes
     */
    OnValueChanged: IActionsEventHandler;
}
