import { IInputControl } from './IInputControl';
import { IHasOptionSettings } from './properties/IHasOptionSettings';
import { IHasWatermark } from './properties/IHasWatermark';
/**
 * The string dropdown list control interface defines the data object for the string dropdown list component.
 */ export interface IStringDropdownListControl extends IInputControl, IHasOptionSettings, IHasWatermark {
    /**
     * Dropdown list control's select element's rich text option items
     */
    Items: string[];
    /**
     * Determines if the user can insert a custom string value instead of selecting one from the items list
     */
    AllowTextInput: boolean;
}
