import { IInputControl } from './IInputControl';
import { IHasBlankChar } from './properties/IHasBlankChar';
import { IHasWatermark } from './properties/IHasWatermark';
/**
 * The string text box control interface defines the data object for the string text box component.
 */ export interface IStringTextBoxControl extends IInputControl, IHasWatermark, IHasBlankChar {
    /**
     * Character to use on password input controls
     */
    PasswordChar: string;
    /**
     * Edit mask sequence
     */
    EditMask: string;
    /**
     * Flag indicating whether the control should look and function like a textarea (when true) or like a single line input (when false)
     */
    MultiLine: boolean;
    /**
     * Activates the next field when true and create a new line when false in a text area with insert mode enabled
     */
    NextFieldOnEnter: boolean;
}
