import { IControlContainerControl } from './IControlContainerControl';
import { ITableRowControl } from './ITableRowControl';
import { IGridUnit } from '../IGridUnit';
import { IColor } from '../IColor';
/**
 * The table control interface defines the data object for the table component.
 */ export interface ITableControl extends IControlContainerControl {
    /**
     * Table column width definitions
     */
    Columns: IGridUnit[];
    /**
     * Table rows collection
     */
    Children: ITableRowControl[];
    /**
     * Color of the table's even rows
     */
    EvenRowColor: IColor;
    /**
     * Color of the table's odd rows
     */
    OddRowColor: IColor;
}
