import { IControlContainerControl } from './IControlContainerControl';
import { IHasChildren } from './properties/IHasChildren';
import { IGridUnit } from '../IGridUnit';
/**
 * The table-row control interface defines the data object for the table-row component.
 */ export interface ITableRowControl extends IControlContainerControl, IHasChildren {
    /**
     * Row height definition
     */
    RowHeight: IGridUnit;
    /**
     * Flag indicating whether the background color of the current row should match that of the previous row
     */
    CombineStriping: boolean;
}
