import { IBaseControl } from './IBaseControl';
import { IHasTabIndex } from './properties/IHasTabIndex';
import { IHasFont } from './properties/IHasFont';
import { IActionsEventHandler } from '../IActionsEventHandler';
/**
 * The text box control interface defines the data object for the text box component.
 */ export interface ITextBoxControl extends IBaseControl, IHasTabIndex, IHasFont {
    /**
     * Action that are executed when the control's text is changed by the user
     */
    OnTextChanged: IActionsEventHandler;
    /**
     * Client-side only property text, used by the set control property action to set text
     * TODO: should this be here? Used for updating the render state service from client side properties
     */
    Text?: string;
}
