import { IAppearanceControl } from './IAppearanceControl';
import { IHasWatermark } from './properties/IHasWatermark';
import { IHasShowEditMask } from './properties/IHasShowEditMask';
import { IHasBlankChar } from './properties/IHasBlankChar';
/**
 * The time control interface defines the data object for the time component.
 */ export interface ITimeControl extends IAppearanceControl, IHasWatermark, IHasShowEditMask, IHasBlankChar {
    /**
     * The minute interval at which times are displayed in the time picker appearance
     */
    TimePickerInterval: number;
    /**
     * The lower bound selectable time of the time picker
     */
    TimePickerStartTime: number;
    /**
     * The upper bound selectable time of the time picker
     */
    TimePickerEndTime: number;
}
