import { IActionsEventHandler } from '../IActionsEventHandler';
import { IBaseControl } from './IBaseControl';
/**
 * The timer control interface defines the data object for the timer component.
 */ export interface ITimerControl extends IBaseControl {
    /**
     * Flag indicating if the timer should automatically start on creation
     */
    AutoStart: boolean;
    /**
     * The interval at which the timer actions should be triggered
     */
    Interval: number;
    /**
     * Flag indicating if the timer should restart after each interval
     */
    Repeat: boolean;
    /**
     * Actions to execute when the interval has been completed
     */
    OnTick: IActionsEventHandler;
}
