import { IColor } from '../../IColor';
import { BorderStyle } from '../../../enums/BorderStyle';
/**
 * Interface for the outline properties
 */ export interface IHasOutline {
    /**
     * The outline-style property specifies the style of the outline
     */
    OutlineStyle: BorderStyle;
    /**
     * The outline-width property specifies the width of the outline
     */
    OutlineWidth: number;
    /**
     * The outline-color property is used to set the color of the outline.
     */
    OutlineColor: IColor;
    /**
     * The outline-offset property adds space between an outline and the edge/border of an element.
     * The space between an element and its outline is transparent.
     */
    OutlineOffset: number;
}
