/**
 * The date constraints interface defines the restrictions on the selectable and shown dates.
 */
export interface IDateConstraints {
    /**
     * Sets the lower bound of the date control's range
     */
    MinDate?: number;
    /**
     * Sets the upper bound of the date control's range
     */
    MaxDate?: number;
    /**
     * List of allowed/enabled days of the week
     */
    EnabledDays: number[];
    /**
     * List of disallowed/disabled days of the week
     */
    DisabledDays: number[];
    /**
     * Comma separated List of allowed days of the week
     */
    DayFilter: string;
}
