import { IColor } from '../../../IColor';
import { IThickness } from '../../../IThickness';
import { IDatePickerBorderSettings } from './IDatePickerBorderSettings';
/**
 * The date picker body settings interface contains customizable settings for the date picker body.
 */
export interface IDatePickerBodySettings {
    /**
     * The default date background color
     */
    BackgroundColor: IColor;
    /**
     * The default date picker body border settings
     */
    Border: IDatePickerBorderSettings;
    /**
     * The background color of an active hovered date
     */
    HoverBackgroundColor: IColor;
    /**
     * The background color of a disabled date
     */
    InactiveBackgroundColor: IColor;
    /**
     * The background color of selected hovered dates
     */
    SelectedBackgroundColor: IColor;
    /**
     * The background color for today's date
     */
    CurrentBackgroundColor: IColor;
    /**
     * Cell padding
     */
    TextMargin: IThickness;
}
