import { IColor } from '../../../IColor';
import { IThickness } from '../../../IThickness';
import { IDatePickerBorderSettings } from './IDatePickerBorderSettings';
/**
 * The date picker header settings interface contains customizable settings for the date picker header.
 */
export interface IDatePickerHeaderSettings {
    /**
     * The background color of the header row
     */
    BackgroundColor: IColor;
    /**
     * The header border settings
     */
    Border: IDatePickerBorderSettings;
    /**
     * Header text cell padding
     */
    TextMargin: IThickness;
    /**
     * Flag indicating if the header should be shown
     */
    IsVisible: boolean;
}
