import { IDatePickerBodySettings } from './IDatePickerBodySettings';
import { IDatePickerBorderSettings } from './IDatePickerBorderSettings';
import { IDatePickerHeaderSettings } from './IDatePickerHeaderSettings';
import { WeekDay } from '@angular/common';
/**
 * The date picker settings interface contains customizable settings for the date picker border, header and body.
 */
export interface IDatePickerSettings {
    /**
     * Value for setting the first day of the week (Sunday, Monday, Tuesday, Wednesday, Thursday, Friday or Saturday).
     * The default value is found in the culture settings.
     */
    FirstDayOfWeek?: WeekDay;
    /**
     * The date that receives focus when the datepicker is opened on an empty field, default today.
     */
    InitialDatePickerValue?: number;
    /**
     * Contains settings for the date picker border.
     */
    Border: IDatePickerBorderSettings;
    /**
     * Contains settings for the date picker header.
     */
    Header: IDatePickerHeaderSettings;
    /**
     * Contains settings for the date picker body.
     */
    Body: IDatePickerBodySettings;
}
