import { HeaderTextSource } from '../../../../enums/HeaderTextSource';
/**
 * Header settings for the lookup textbox and datagrid controls
 */
export interface IHeadersSettings {
    /**
     * Flag indicating whether the grid headers should be shown or not
     */
    ShowHeaders: boolean;
    /**
     * Indicates the source of the header text. Options are `Name` for the field name and `Text` or `TextOrName` for a text from the role-texts where the latter provides a fallback option.
     */
    TextSource: HeaderTextSource;
    /**
     * When the text source is set to `Text` or `TextOrName`, this property is used to determine which text to retrieve from the field definition's role texts
     */
    RoleName: string;
}
