import { IRichText } from '../../../richText/IRichText';
import { IHasFont } from '../IHasFont';
/**
 * The tooltip interface defines the properties for showing a tooltip and customizing tooltip behaviour.
 */ export interface ITooltip extends IHasFont {
    /**
     * The rich text to display on the tooltip
     */
    Text?: IRichText;
    /**
     * Flag indicating if the tooltip if the tooltip can be pinned
     */
    IsPinnable: boolean;
    /**
     * A value that indicates how long it will take for the tooltip to disappear unless the pinning icon is clicked (in ms)
     */
    PinDelay: number;
}
