import { IObjectReference } from './IObjectReference';
/**
 * Purposely falsely implemented reference containing a fieldName and an optional fieldPropertyName property.
 * Used as a base for all reference components.
 * This false implementation prevents having to do type checks on a control's reference property every time the fieldName or fieldPropertyName properties are used.
 */ export interface IDataValueReference extends IObjectReference {
    /**
     * Name of the referenced field object
     */
    FieldName: string;
    /**
     * If this reference is a field reference, this property is omitted.
     * If this reference is a field property reference, this property contains the property name of the referenced field's property object.
     */
    FieldPropertyName?: string;
}
