import { IClickActionsElement } from './IClickActionsElement';
import { IColor } from '../../IColor';
import { ICornerRadius } from '../../ICornerRadius';
import { IUnit } from '../../IUnit';
import { IThickness } from '../../IThickness';
import { IRichText } from '../IRichText';
import { HorizontalAlignment } from '../../../enums/HorizontalAlignment';
import { VerticalAlignment } from '../../../enums/VerticalAlignment';
/**
 * Button actions element definition
 */ export interface IButtonElement extends IClickActionsElement {
    Height: IUnit;
    Width: IUnit;
    BorderColor: IColor;
    BorderWidth: number;
    CornerRadius: ICornerRadius;
    Text: IRichText;
    TextMargin: IThickness;
    LabelFor: string;
    HorizontalTextAlignment: HorizontalAlignment;
    VerticalTextAlignment: VerticalAlignment;
    IsFocusable: boolean;
}
