import { IShapeElement } from './IShapeElement';
import { Orientation } from '../../../enums/Orientation';
/**
 * Line shape element definition
 */ export interface ILineElement extends IShapeElement {
    /**
     * Determines the direction of the line.
     * Choosing Orientation.Horizontal results in the rendering of a line that travels from its containers left to right side,
     * while choosing Orientation.Vertical will render a line that travels its containers from top to bottom.
     */
    Orientation: Orientation;
}
