import { IActionsEventHandler } from '../../IActionsEventHandler';
import { IRunElement } from './IRunElement';
import { IColor } from '../../IColor';
import { ICornerRadius } from '../../ICornerRadius';
import { IUnit } from '../../IUnit';
import { IThickness } from '../../IThickness';
/**
 * Text box run element definition
 */ export interface ITextBoxElement extends IRunElement {
    /**
     * Object containing height value and value type info
     */
    Height: IUnit;
    /**
     * Object containing width value and value type info
     */
    Width: IUnit;
    /**
     * Color definition for the borders of textbox
     */
    BorderColor: IColor;
    /**
     * Size of the textbox borders in pixels
     */
    BorderWidth: number;
    /**
     * Textbox border corner radius
     */
    CornerRadius: ICornerRadius;
    /**
     * Text padding pixel values
     */
    TextMargin: IThickness;
    /**
     * Text changed event handler
     */
    OnTextChanged: IActionsEventHandler;
}
