import { IClickActionsElement } from './IClickActionsElement';
/**
 * The URI click actions element definition is a base definition for the hyperlink and image elements
 */
export interface IUriElement extends IClickActionsElement {
    /**
     * The URI to navigate to
     */
    Uri: string;
    /**
     * The browser target window
     * @description
     * **_blank** 	Opens the linked document in a new window or tab
     * **_self** 	Opens the linked document in the same frame as it was clicked (this is default)
     * **_parent** 	Opens the linked document in the parent frame
     * **_top** 	Opens the linked document in the full body of the window
     * **framename** 	Opens the linked document in the named iframe
     */
    Target: string;
}
