import { ILanguageInfo } from './ILanguageInfo';
import { ILayoutSetGroupInfo } from './ILayoutSetGroupInfo';
import { IDataEntrySettingsInfo } from './IDataEntrySettingsInfo';
import { IParallelInfo } from './IParallelInfo';
import { IResolution } from './IResolution';
import { IScaleInfo } from './IScaleInfo';
import { DataKind } from '../../enums/DataKind';
import { FlowDirection } from '../../enums/FlowDirection';
import { NavigationDirection } from '../../enums/NavigationDirection';
import { PageKind } from '../../enums/PageKind';
import { NavigationMode } from '../../enums/NavigationMode';
export interface ILayoutModelState {
    ActiveCultureId: string;
    ActiveFieldName: string;
    ActiveFieldPropertyName?: string;
    ActiveGroupName: string;
    ActivePageKind: PageKind;
    ActualLayoutSetName: string;
    CustomPageName: string;
    DataEntrySettingsInfo: IDataEntrySettingsInfo[];
    DataEntrySettingsName: string;
    DisplayPageIndex: number;
    FlowDirection: FlowDirection;
    FormID?: number;
    HasValidAppointment: boolean;
    InstrumentGuid: string;
    InstrumentId: string;
    InstrumentName: string;
    IsCati: boolean;
    IsCawi: boolean;
    KeyValue: string;
    Kind: DataKind;
    LanguageInfo: ILanguageInfo[];
    LanguageName: string;
    LayoutSetGroupInfo: ILayoutSetGroupInfo[];
    LayoutSetGroupName: string;
    MaxPageIndex: number;
    NavigationDirection: NavigationDirection;
    NavigationMode: NavigationMode;
    PageIndex: number;
    ParallelInfo: IParallelInfo[];
    ParallelName: string;
    PreviousPageIndex: number;
    ResourceLanguageName: string;
    ResourceSetName: string;
    RuleSessionId: string;
    ScaleInfo: IScaleInfo;
    ServerPark: string;
    StyleName: string;
    TargetResolution: IResolution;
}
