import { IDataSource } from './data-source/IDataSource';
import { ILookupInformation } from './ILookupInformation';
import { IDataValue } from '../IDataValue';
export interface ILookupState {
    activeKey: string;
    startIndex?: number;
    searchText: string;
    lastSearchText?: string;
    searchResult?: ISearchResult;
    awaitingResponse: boolean;
    lastSelectedIndex?: number;
    fieldName: string;
    selectedRecord?: IDataRow;
    returnFieldIndex?: number;
    maximumResultCount: number;
    dataSource?: IDataSource;
    lookupInformation?: ILookupInformation;
}
export interface ISearchResult {
    FieldNames: string[];
    DataRows: IDataRow[];
    ResultCount: number;
    StartIndex?: number;
}
export interface IDataRow extends Array<IDataValue> {
}
