export interface ITimeslotsResponse {
    Legend: ILegendItem[];
    TimeSlots: ITimeslot[];
    AppointmentValidationStatus: string;
    NrOfAppointmentsForInstrumentInSelectedSlot: number;
    NrOfAppointmentsTotalInSelectedSlot: number;
    RespondentTimeZone: string;
    RespondentTimeZoneId: string;
    RespondentTimeIsDST: boolean;
    RespondentTimeZoneOffset: number;
    AppointmentLoadLevel: string;
    StartHour: number;
    EndHour: number;
    SurveyDays: number[];
    LastSurveyDay: number;
    SurveyDaysLeft: number;
    SurveyDaysLeftAfterCurrentPeriod: number;
    SurveyDaysLeftBeforeCurrentPeriod: number;
}
export declare enum LegendItemKind {
    Blocked = 0,
    Selected = 1
}
export interface ILegendItem {
    Identifier: string;
    Name: string;
    Color: string;
    Kind: LegendItemKind;
}
export interface ITimeslot {
    Start: number;
    End: number;
    Kind: string;
    Workload: IWorkloadIndication[];
    AggregateAllWorkload: IWorkloadIndication;
    AggregateLauncherWorkload: IWorkloadIndication[];
    AggregationMode: string;
    Details: string;
    Availability: number;
    MaxAppointments: number;
    AppointmentCount: number;
}
export interface IWorkloadIndication {
    InstrumentId: string;
    InstrumentName: string;
    LauncherId: string;
    Kind: string;
    MaxAppointments: number;
    HardAppointmentsStarting: number;
    HardAppointmentsOngoing: number;
    HardAppointmentsEnding: number;
    MediumAppointmentsStarting: number;
    MediumAppointmentsOngoing: number;
    MediumAppointmentsEnding: number;
    SoftAppointmentsStarting: number;
    SoftAppointmentsOngoing: number;
    SoftAppointmentsEnding: number;
}
