import { IDictionary } from '../../IDictionary';
import { IStringType } from '../../value-types/IStringType';
import { DataSourceKind } from '../../../enums/DataSourceKind';
import { KeyKind } from '../../../enums/KeyKind';
export interface IDataSource {
    Kind: DataSourceKind;
    ReturnField: string;
    FieldDefs: IDataSourceFieldDefinition[];
    Keys: IKeyInfo[];
    UsedDatamodelFileName: string;
    ExternalDataFileName: string;
    RecordFilter: string;
    FieldFilter?: string[];
}
export interface IDataSourceFieldDefinition {
    Name: string;
    ValueType: IStringType;
    RoleTexts: IDictionary<string>;
}
export interface IKeyInfo {
    Name: string;
    Kind: KeyKind;
}
