/**
 * CSS Style Declaration object with optional properties (as it should be)
 */
export type CSSStyleObject = Partial<CSSStyleDeclaration>;
/**
 * CSS Style Declaration object with optional properties extended with webkit style properties
 */
export type WebkitCSSStyleObject = CSSStyleObject & {
    '-webkit-overflow-scrolling'?: string;
};
/**
 * CSS Style Declaration object with optional properties extended with Microsoft specific style properties
 */
export type MsCSSStyleObject = CSSStyleObject & {
    '-ms-overflow-style'?: string;
};
