/**
 * Css background image definition
 */
export interface IImageStyle {
    /**
     * The background-image property sets one or more background images for an element.
     */
    backgroundImage?: string;
    /**
     * The background-position property sets the starting position of a background-image: left top|left center|left bottom|right top|right center|right bottom|center top|center center|center bottom|x% y%|x-pos y-pos|initial|inherit
     */
    backgroundPosition?: string;
    /**
     * The background-repeat property sets if/how a background image will be repeated: repeat|repeat-x|repeat-y|no-repeat|initial|inherit
     */
    backgroundRepeat?: string;
    /**
     * The background-size property specifies the size of the background images.
     */
    backgroundSize?: string;
}
