import { IValueType } from './IValueType';
import { IBlobSize } from '../IBlobSize';
import { BlobFilter } from '../../enums/BlobFilter';
/**
 * Blob type definition
 */ export interface IBlobType extends IValueType {
    /**
     * Blob type options (Any, Image, Audio or Video)
     */
    FileTypeFilter: BlobFilter;
    /**
     * Array of allowed file extensions
     */
    ExtensionFilter?: string[];
    /**
     * Maximum file size
     */
    MaxSize?: IBlobSize;
}
