import { Type } from '@angular/core';
import { BaseComponent } from '../../../lib/components/base/base.component';
import { CSSStyleObject } from '../style/CSSStyleObject';
import { IBaseControl } from '../controls/IBaseControl';
import { IControlInfo } from '../IControlInfo';
import { IHasVersion } from '../IHasVersion';
import { INavigationModeStrategy } from '../INavigationModeStrategy';
import { IControlSize } from '../../../lib/services/sizetree/IControlSize';
export interface IBaseComponentViewModel {
    dataObject: IBaseControl;
    type: Type<BaseComponent<IBaseControl>>;
    style: CSSStyleObject;
    cssClass: string[];
    parentId: Nullable<string>;
}
export interface IBaseComponentViewModel2 extends IBaseComponentViewModel, IHasVersion {
    handleSpeedKeyPressed?: (event: KeyboardEvent) => void;
    getText?: () => string;
    clearText?: () => void;
    setText?: (text: string) => void;
    readonly controlId: string;
    readonly isEnabled: boolean;
    readonly isVisible: boolean;
    getPosition(): Nullable<DOMRect>;
    getNeighbours(): IControlInfo[];
    getKeyboardEmptyStrategy?: () => INavigationModeStrategy;
    getKeyboardInsertStrategy?: () => Nullable<INavigationModeStrategy>;
    getKeyboardNavigationStrategy?: () => INavigationModeStrategy;
    sizeTreeSetWidth(): void;
    sizeTreeSetHeight(): void;
    sizeTreeReady(): void;
    controlSize: Nullable<IControlSize>;
    setContentWidth?: () => void;
    setContentHeight?: () => void;
}
