/**
 * The clipboard service provides functionality setting and retrieving items from and to the clipboard.
 */
export interface IClipboardService {
    /**
     * Cuts a given text from a specified control and places it onto the clipboard
     * @param rootId
     * @param controlId
     */
    cutToClipboard: (rootId: string, controlId: string) => void;
    /**
     * Copies a given text from a specified control to the clipboard
     * @param rootId
     * @param controlId
     */
    copyToClipboard: (rootId: string, controlId: string) => void;
    /**
     * Paste a given text from the clipboard to a specified control
     */
    pasteFromClipboard: (rootId: string, controlId: string) => void;
}
