import { ICultureInfo } from '../models/ICultureInfo';
/**
 * The culture info service is used for storing and consulting culture settings
 */
export interface ICultureInfoService {
    /**
     * Culture info property
     */
    cultureInfo: ICultureInfo;
    /**
     * Retrieves the first segment from a long culture id to create the short culture id
     * @param {string} longCultureId the long culture id e.g. nl-NL
     * @returns {string} short culture id e.g. nl
     */
    getShortCultureId: (longCultureId: string) => string;
}
