import { IActionKeyValuePair } from '../../IActionKeyValuePair';
import { IClient } from '../../IClient';
import { IRenderState } from '../IRenderState';
import { IBasePayload } from './IBasePayload';
import { IAuditTrailPayload } from './IAuditTrailPayload';
import { IHasParkId } from './IHasParkId';
/**
 * Represents the execute action request information that the client sends to the server.
 */
export interface IExecuteActionPayload extends IBasePayload, IHasParkId {
    Actions: IActionKeyValuePair[];
    AuditTrailPayload?: IAuditTrailPayload;
    ClientFeatures: IClient;
    ControlID: Nullable<string>;
    EventName: Nullable<string>;
    LastLockTime: Nullable<string>;
    LockID: Nullable<string>;
    RenderState: Nullable<IRenderState>;
    ShouldApplyPageEvent: boolean;
}
