import { IAccessToken } from '../../IAccessToken';
import { IActionsEventHandler } from '../../IActionsEventHandler';
import { IBaseControl } from '../../controls/IBaseControl';
import { IClientSideProperty } from '../client-side/properties/IClientSideProperty';
import { IClientSideRouteItemEvent } from '../../../events/IClientSideRouteItemEvent';
import { IClientSideRule } from '../client-side/rules/IClientSideRule';
import { IClientSideShortcut } from '../IClientSideShortcut';
import { ICultureInfo } from '../../ICultureInfo';
import { IDictionary } from '../../IDictionary';
import { IEmbeddedFontUrls } from '../IEmbeddedFontUrls';
import { IFontInfo } from '../../IFontInfo';
import { ILayoutSet } from '../ILayoutSet';
import { IMediaUrls } from '../IMediaUrls';
import { IRenderState } from '../IRenderState';
import { IServerParkInfo } from '../IServerParkInfo';
import { ITextSettings } from '../ITextSettings';
/**
 * Represents the response that the client receives from the server. It contains
 * all information needed to render the page and present it on the screen.
 */
export interface IPayload {
    RenderState: IRenderState;
    RootControl: IBaseControl;
    ServerParkInfo: IServerParkInfo[];
    ParkId: string;
    AuditTrailLevel: number;
    MediaUrls: IMediaUrls;
    EmbeddedFontUrls: IEmbeddedFontUrls;
    ClientSideProperties: IClientSideProperty[];
    ClientSideRules: IClientSideRule[];
    ClientSideShortcuts: IClientSideShortcut[];
    ClientSideRouteItemEvents: IClientSideRouteItemEvent[];
    Token: IAccessToken;
    LayoutSets: ILayoutSet[];
    OutputFile?: string;
    CultureSettings: ICultureInfo;
    TextSettings: ITextSettings;
    LockID: string;
    LastLockTime: string;
    IsVoidResponse: boolean;
    OnLoaded: IActionsEventHandler;
    OnTryLeavePageForward: IActionsEventHandler;
    CombinedFonts: IDictionary<IFontInfo>;
}
