import { IClient } from '../../IClient';
import { IRenderState } from '../IRenderState';
import { IBasePayload } from './IBasePayload';
import { IHasParkId } from './IHasParkId';
/**
 * Represents the select record request information that the client sends to the server.
 */
export interface ISelectRecordPayload extends IBasePayload, IHasParkId {
    RenderState: Nullable<IRenderState>;
    ClientFeatures: IClient;
    LookupFieldName: string;
    ExternalFieldNames: string[];
    ExternalFieldValues: any[];
    GotoNextField: boolean;
}
