import { IClient } from '../../IClient';
import { IRenderState } from '../IRenderState';
import { IAppointmentVariables } from '../IAppointmentVariables';
import { IBasePayload } from './IBasePayload';
import { IHasParkId } from './IHasParkId';
/**
 * Represents the time slots request information that the client sends to the server.
 */
export interface ISetAppointmentPayload extends IBasePayload, IHasParkId {
    RenderState: Nullable<IRenderState>;
    AppointmentVariables: IAppointmentVariables;
    ClientFeatures: IClient;
    TimeslotStart: Date;
    TimeslotEnd: Date;
    IncludeHard: boolean;
    IncludeMedium: boolean;
    IncludeSoft: boolean;
}
